CREATE TABLE User_Config(
  Key TEXT, 
  Value TEXT
);
CREATE TABLE User_MenuStorage(
  CISNum TEXT, 
  TimeStamp TEXT,
  MenuInfo TEXT
);
CREATE TABLE User_QRCodeDetail(
  Id INTEGER primary key autoincrement,
  Name TEXT, 
  Date NUMERIC,
  QRCodeInfo TEXT
);
CREATE TABLE User_BankMessageDetail(
  Id INTEGER primary key autoincrement,
  BankMessageId TEXT,
  BankMessageInfo TEXT,
  BankMessageType TEXT,
  BankMessageDate NUMERIC,
  BankMessageReadFlag INTEGER
);
CREATE TABLE User_AdvertingStorage(
  ID INTEGER primary key autoincrement,
  ADV_ID TEXT,
  ADV_KIND TEXT,
  ADV_DESCRIPTION TEXT,
  ADV_SHOW TEXT,
  ADV_BEGINDATE TEXT,
  ADV_ENDDATE TEXT,
  ADV_PICPATH TEXT,
  ADV_LOCALPICPATH TEXT,
  ADV_AREACODE TEXT,
  ADV_URLTYPE TEXT,
  ADV_URL TEXT
);
CREATE TABLE HCE_USERS(
  CINO TEXT primary key,
  USER_NAME TEXT,
  LOGIN_FLAG TEXT,
  CHN_NAME TEXT,
  CUST_YPE TEXT,
  CUST_NO TEXT,
  PAY_MODE TEXT,
  LSTUTIME TEXT,
  CREATETIME TEXT,
  ENGLISH_NAME TEXT,
  SEX TEXT,
  BACKUP1 TEXT,
  BACKUP2 TEXT,
  HOST_DATE TEXT,
  ROOT_PROTECTION TEXT,
  ROOT_BITMAP TEXT,
  PUBLIC_KEY_UNION TEXT,
  PUBLIC_KEY_UNION_YXQ TEXT,
  HCE_SESSION_KEY TEXT,
  UNION_SESSION_KEY TEXT,
  UNION_TRAN_BITMAP
);
CREATE TABLE HCE_CARD(
  CARDNO TEXT primary key,
  CINO TEXT,
  ISACTIVE TEXT,
  MACARDNO TEXT,
  CARDLOGO TEXT,
  CARDKIND TEXT,
  EXPRDATE TEXT,
  ATC TEXT,
  AID TEXT,
  CVM TEXT,
  MSD_FLAG TEXT,
  API TEXT,
  STATUS TEXT,
  SEQ_COUNTER TEXT,
  TRACK2 TEXT,
  LUK TEXT,
  AP_UPDATE_TIME TEXT,
  TIME_TO_LIVE_LIMIT TEXT,
  TRANS_NUM_LIMIT TEXT,
  CUMU_AMOUNT_LIMIT TEXT,
  TIME_TO_LIVE_THD TEXT,
  TRANS_NUMBER_THD TEXT,
  CUMU_AMOUNT_THD TEXT,
  TRANS_NUM TEXT,
  CUMU_AMOUNT TEXT,
  PSN TEXT,
  CTQ TEXT,
  ISSUER_APP_DATA TEXT,
  ISSUER_COUNTRY_CODE TEXT,
  TOKEN_REQUESTER_DI TEXT,
  PDOL TEXT,
  GOLDFLAG TEXT,
  BACKUP1 TEXT,
  BACKUP2 TEXT,
  RESERVE_CANCLE_DATE TEXT,
  CA_PK_INDEX TEXT,
  ISSUER_PK_CERT TEXT,
  ISSUER_PK_REMAINER TEXT,
  ISSUER_PK_EXPONENT TEXT,
  ICC_PK_CERT TEXT,
  ICC_PK_EXPONENT TEXT,
  IC_PK_REMAINER TEXT,
  IC_PRIVATE_KEY TEXT
);
CREATE TABLE HCE_TRANS_VRIFY_LOG(
  PAN TEXT,
  TRANS_TIMESTAMP TEXT,
  TRANS_UNPREDICABLE_NUMBER TEXT,
  TRANS_ATC TEXT,
  TRANS_FLAG TEXT,
  BACKUP1 TEXT,
  BACKUP2 TEXT,
  primary key(PAN,TRANS_UNPREDICABLE_NUMBER)
);

