CREATE TABLE User_Config(
  Key TEXT, 
  Value TEXT
);
CREATE TABLE User_MenuStorage(
  CISNum TEXT, 
  TimeStamp TEXT,
  MenuInfo TEXT
);
CREATE TABLE User_QRCodeDetail(
  Id INTEGER primary key autoincrement,
  Name TEXT, 
  Date NUMERIC,
  QRCodeInfo TEXT
);
CREATE TABLE searchhistory(
  _id INTEGER primary key autoincrement,
  searchkey TEXT,
  time TEXT
);
CREATE TABLE User_BankMessageDetail(
  Id INTEGER primary key autoincrement,
  BankMessageId TEXT,
  BankMessageInfo TEXT,
  BankMessageType TEXT,
  BankMessageDate NUMERIC,
  BankMessageReadFlag INTEGER
);
CREATE TABLE User_AdvertingStorage(
  ID INTEGER primary key autoincrement,
  ADV_ID TEXT,
  ADV_KIND TEXT,
  ADV_DESCRIPTION TEXT,
  ADV_SHOW TEXT,
  ADV_BEGINDATE TEXT,
  ADV_ENDDATE TEXT,
  ADV_PICPATH TEXT,
  ADV_LOCALPICPATH TEXT,
  ADV_AREACODE TEXT,
  ADV_URLTYPE TEXT,
  ADV_URL TEXT,
  AD_TEXT_COLOR TEXT,
  ADV_ORDER INTEGER
);
CREATE TABLE User_AdvertingStorage_new(
  ID INTEGER primary key autoincrement,
  ADV_ID TEXT,
  ADV_KIND TEXT,
  ADV_DESCRIPTION TEXT,
  ADV_SHOW TEXT,
  ADV_BEGINDATE TEXT,
  ADV_ENDDATE TEXT,
  ADV_PICPATH TEXT,
  ADV_LOCALPICPATH TEXT,
  ADV_AREACODE TEXT,
  ADV_URLTYPE TEXT,
  ADV_URL TEXT,
  AD_TEXT_COLOR TEXT,
  ADV_ORDER INTEGER,
  ADV_ISTOP TEXT,
  ADV_FREQUENCY TEXT
);
CREATE TABLE User_SmartLifeStorage(
  fullDate NUMERIC,
  date TEXT,
  week TEXT,
  month INTEGER,
  action TEXT,
  actiontip TEXT,
  subcontent TEXT,
  content TEXT,
  contentsmall TEXT,
  colorBot INTEGER,
  colorTop INTEGER,
  icon TEXT,
  blankL TEXT,
  buttonL TEXT,
  type TEXT,
  showline TEXT,
  sdate NUMERIC,
  stime TEXT,
  showtitle TEXT,
  uid TEXT
);
CREATE TABLE Ignore_SmartLifeStorage(
  fullDate NUMERIC,
  date TEXT,
  week TEXT,
  month INTEGER,
  action TEXT,
  actiontip TEXT,
  subcontent TEXT,
  content TEXT,
  contentsmall TEXT,
  colorBot INTEGER,
  colorTop INTEGER,
  icon TEXT,
  blankL TEXT,
  buttonL TEXT,
  type TEXT,
  showline TEXT,
  sdate NUMERIC,
  stime TEXT,
  showtitle TEXT,
  uid TEXT,
  CISNum TEXT
);
CREATE TABLE TodayNotified_SmartLifeStorage(
  fullDate NUMERIC,
  date TEXT,
  week TEXT,
  month INTEGER,
  action TEXT,
  actiontip TEXT,
  subcontent TEXT,
  content TEXT,
  contentsmall TEXT,
  colorBot INTEGER,
  colorTop INTEGER,
  icon TEXT,
  blankL TEXT,
  buttonL TEXT,
  type TEXT,
  showline TEXT,
  sdate NUMERIC,
  stime TEXT,
  showtitle TEXT,
  uid TEXT
);
CREATE TABLE BuryPoint(
  buryPointId TEXT,
  areano TEXT,
  areanoname TEXT,
  buttonno TEXT,
  buttonname TEXT
);
CREATE TABLE Message_Center(
  id INTEGER primary key autoincrement,
  mid TEXT,
  mdate NUMERIC,
  mcontent TEXT,
  mscan_title TEXT,
  murl TEXT,
  mtips TEXT,
  mtips_color TEXT,
  mpic_path TEXT,
  mtitle TEXT,
  mis_read TEXT,
  mcisnum TEXT,
  busstype TEXT
);
CREATE TABLE Message_Center_fresh_event(
  id INTEGER primary key autoincrement,
  mid TEXT,
  mmsgtype TEXT,
  mdate NUMERIC,
  mcontent TEXT,
  mtitle TEXT,
  murl TEXT,
  mpic_path TEXT,
  mis_read TEXT,
  mcisnum TEXT,
  misallowsendtoother TEXT,
  mattachno TEXT
);
CREATE TABLE Message_Center_SmartHelper(
  id INTEGER primary key autoincrement,
  mid TEXT,
  mdate NUMERIC,
  mcontent TEXT,
  mscan_title TEXT,
  murl TEXT,
  mtips TEXT,
  mtips_color TEXT,
  mpic_path TEXT,
  mtitle TEXT,
  mis_read TEXT,
  mcisnum TEXT,
  busstype TEXT
);
INSERT INTO BuryPoint(buryPointId,areano,areanoname,buttonno,buttonname) 
SELECT 'SubMenuActivity_tv_titlemenu_tofavor','morepoint','气泡框','more_home_button','首页' UNION ALL
 SELECT 'SubMenuActivity_tv_titlemenu_exit','morepoint','气泡框','more_safeexit_button','退出' UNION ALL
 SELECT 'SubMenuActivity_tv_titlemenu_qrcode','morepoint','气泡框','more_qrcode_button','扫一扫' UNION ALL
 SELECT 'SubMenuActivity_tv_titlemenu_service','morepoint','气泡框','more_onlineservice_button','在线客服' UNION ALL
 SELECT 'SubMenuActivity_navbar_more_btn','maintitle','固定标题区','more_button','...' UNION ALL
 SELECT 'MainActivity_exit_btn','maintitle','固定标题区','more_safeexit_button','安全退出' UNION ALL
 SELECT 'MainActivity_navbar_qrcode_btn','maintitle','固定标题区','more_qrcode_button','扫一扫' UNION ALL
 SELECT 'SubMenuActivity_return_btn','maintitle','固定标题区','maintitle-mainpage','主页' UNION ALL
 SELECT 'MainActivity_index_btn','maintitle','固定标题区','maintitle-mainpage','主页' UNION ALL
 SELECT 'QRCodeScanActivity_return_btn','maintitle','固定标题区','maintitle-return','返回' UNION ALL
 SELECT 'MainActivity_cover_user_photo','favorite-login','最爱登录区','favorite-login','点击登录' UNION ALL
 SELECT 'MainActivity_remember_loginid_checkbox','login','登录','login-remember','记住用户名' UNION ALL
 SELECT 'MainActivity_forget_password_link','login','登录','login-forget','忘记密码' UNION ALL
 SELECT 'MainActivity_reg_btn','login','登录','login-selfreg','自助注册' UNION ALL
 SELECT 'EditUserInfoActivity_rl_edituser_info','favorite-userimage','头像区','favorite-userimage','头像' UNION ALL
 SELECT 'EditUserInfoActivity_upload_album_btn','favorite-userimage','头像区','favorite-userimage-gallery','相册获取' UNION ALL
 SELECT 'EditUserInfoActivity_upload_camera_btn','favorite-userimage','头像区','favorite-userimage-camera','拍照获取' UNION ALL
 SELECT 'MoreMenuActivity_index_btn','favorite-add','添加','favorite-add-mainpage','主页' UNION ALL
 SELECT 'MoreMenuActivity_alluse_name','favorite-add','添加','favorite-add-mostly','大家都在用标签' UNION ALL
 SELECT 'MoreMenuActivity_whole_name','favorite-add','添加','favorite-add-all','全部标签' UNION ALL
 SELECT 'MainActivity_navbar_mylife_cal_btn','smartservice-cal','金融日历','smartservice-cal-cal','日历图标' UNION ALL
 SELECT 'MainActivity_navbar_mylife_add_btn','smartservice-cal','金融日历','smartservice-cal-add','添加图标' UNION ALL
 SELECT 'MainActivity_ll_smartlife_delete','smartservice-cal','金融日历','smartservice-cal-del','提醒列表删除按钮' UNION ALL
 SELECT 'MainActivity_myassert','mine-account','账户总览','mine-account-allproperty','我的资产' UNION ALL
 SELECT 'MainActivity_mydet','mine-account','账户总览','mine-account-allindebited','我的负债' ;
