//定义模版的jQuery插件
(function($){
	var compiled={};
	$.fn.handlebars=function(template,data){
		if(template instanceof jQuery){
			template=$(template).html();
		}
		compiled[template]=Handlebars.compile(template);
		this.html(compiled[template](data));
	};
})(jQuery);
//定义handlebar自定义方法
Handlebars.registerHelper('setIndex',function(value){
	this.index=Number(value);
});
Handlebars.registerHelper('toMoney',function(value){
	return ICBCAmountTools.toMoney(value);
});
Handlebars.registerHelper('compare', function (lvalue, operator, rvalue, options) {
    var operators, result;
    if (arguments.length < 3) {
        throw new Error("比较方法最少需要三个参数。");
    }
    if (options === undefined) {
        options = rvalue;
        rvalue = operator;
        operator = "===";
    }
    operators = {
        '==': function (l, r) { return l == r; },
        '===': function (l, r) { return l === r; },
        '!=': function (l, r) { return l != r; },
        '!==': function (l, r) { return l !== r; },
        '<': function (l, r) { return l < r; },
        '>': function (l, r) { return l > r; },
        '<=': function (l, r) { return l <= r; },
        '>=': function (l, r) { return l >= r; },
        'typeof': function (l, r) { return typeof l == r; }
    };
    if (!operators[operator]) {
        throw new Error("比较符号不正确" + operator);
    }
    result = operators[operator](lvalue, rvalue);
    if (result) {
        return options.fn(this);
    } else {
        return options.inverse(this);
    }
});
//定义常用的模板
window['common_template']={};
//alert框
window['common_template'].alert_dialog_template=
'<article id="alert_dialog" class="alert_dialog">'+
'<div class="modal fade modal_wrapper" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
  '<div class="modal-dialog">'+
    '<div class="modal-content">'+
      '<div class="modal-header">'+
        '<h4 class="modal-title" id="myModalLabel">{{title}}</h4>'+
      '</div>'+
      '<div class="modal-body" id="myModalMsg" style="word-break:break-all">{{{msg}}}</div>'+
      '<div class="modal-footer">'+
        '<button type="button" class="modal-btn" data-dismiss="modal" id="myModalBtn">{{btn}}</button>'+
      '</div>'+
    '</div>'+
  '</div>'+
'</div>‍'+
'</article>';
//随心查alert框
window['common_template'].check_dialog_template=
	
	'<article id="check_dialog" class="alert_dialog">'+
	
	'<div class="modal fade modal_wrapper" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
	  '<div class="modal-dialog" align="center">'+
	    '<div class="modal-content" style="background:url(../ebdpui/icbc_client/css/images/personalacctsearch_dialog.png);background-repeat: no-repeat;background-position: center top;background-size: 100% 100%;/* background-attachment: fixed; */width: 342px;min-height: 375px;">'+
	    
	      '<div class="modal-body" id="myModalMsg" style="word-break:break-all">'+
	      '<p align="center" style="top: 176px;position: relative;font-weight: bold;font-size: 16px;">想要查看更丰富的账户明细分析？</p>'+
	      '<p align="center" style="\
	      top: 190px;\
	      position: relative;\
	      font-weight: bold;    font-size: 16px;\
	  ">欢迎使用“<font size="5" color="red">随心查</font>”'+
	      '</div>'+
	      '<div >'+
	        '<center><button type="button" class="modal-btn" data-dismiss="modal" id="myModalBtn" onclick="ICBCPageTools.nativeToTargetMenu({targetMenuID:\'personalacctsearch\',forceLoginFlag:\'true\',targetParams:\'needBackFlag=1\'});" style="position: relative;    \
	      top: 220px;\
	      background-image: url(../ebdpui/icbc_client/css/images/confirm_button.png);\
	      background-size: 100% 100%;\
	      width: 256px;\
	      height: 50px;\
	      color: #FFFFFF;\
	  ">开始体验</button></center>'+
	        '<p align="center" style="\
    position: relative;\
    top: 240px;\
    font-size: 0.8rem;\
    color: rgb(161,161,161);\
"><input id="checkbox" type="checkbox" value=""  style="\
    width: 16px;    \
    height: 16px;    -webkit-appearance: none;    appearance: none;    \
    border: 1px solid rgb(161,161,161);    border-radius: 6px;\
    top: -1px;\
    position: relative;\
"/>下次不再提醒</p>'+
	      '</div>'+

	    '</div>'+
	  '</div>'+
	'</div>‍'+
	
	'</article>';

//大学生alert框
window['common_template'].college_alert_dialog_template=
	'<div id="college_alert_dialog">'+
	'<div class="layout">'+
		'<div id="tipsItem" class="tipsItem">'+
			'<p id="tipsTitle" class="title">{{title}}</p>'+
			'<p id="tipsMsg" class="txt2" style="text-align:center;font-size:14px;line-height:1.5;">{{{msg}}}</p>'+
			'<p id="tipsBtn" class="btn" style="font-size:14px;">'+
				'<a id="alertBtn" class="blue">{{btn}}</a>'+
			'</p>'+
		'</div>'+
	'</div>'+
	'<div class="bgLayer"></div>'+
	'</div>';

//大学生confirm框
window['common_template'].college_confirm_dialog_template=
	'<div id="college_confirm_dialog">'+
	'<div class="layout">'+
		'<div id="tipsItem" class="tipsItem">'+
			'<p id="tipsTitle" class="title">{{title}}</p>'+
			'<p id="tipsMsg" class="txt2" style="text-align:center;font-size:14px;line-height:1.5;">{{{msg}}}</p>'+
			'<p id="tipsBtn" class="btn" style="font-size:14px;">'+
				'<a id="okbtn" class="yes">{{ok_btn}}</a><a id="cancelbtn" class="no">{{cancel_btn}}</a>'+
			'</p>'+
		'</div>'+
	'</div>'+
	'<div class="bgLayer"></div>'+
	'</div>';

//confirm框
window['common_template'].confirm_dialog_template=
'<article id="confirm_dialog" class="confirm_dialog">'+
'<div class="modal fade modal_wrapper" id="myConfirmModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
  '<div class="modal-dialog">'+
    '<div class="modal-content">'+
      '<div class="modal-header">'+
        '<h4 class="modal-title" id="myModalLabel">{{title}}</h4>'+
      '</div>'+
      '<div class="modal-body" id="myModalMsg" style="word-break:break-all">{{{msg}}}</div>'+
      '<div class="modal-footer">'+
        '<button type="button" class="modal-cancel-btn" data-dismiss="modal" id="myModalCancelBtn">{{cancelbtn}}</button>'+
        '<button type="button" class="modal-ok-btn" data-dismiss="modal" id="myModalOkBtn">{{okbtn}}</button>'+
      '</div>'+
    '</div>'+
  '</div>'+
'</div>‍'+
'</article>';

//贷款confirm框
window['common_template'].confirm_dialog_Loan_template=
'<article id="confirm_dialog2" class="confirm_dialog">'+
'<div class="modal fade modal_wrapper" id="myConfirmModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
  '<div class="modal-dialog">'+
    '<div class="modal-content">'+
      '<div class="modal-header"  style="border-bottom:1px">'+
        '<h4 class="modal-title" id="myModalLabel">{{title}}</h4>'+
        '<div class="authen_tip" id="myModalCancelBtn" onclick="closepage();" style="position:absolute;top:-3px;color:#0050c7;"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/quxiaoX.png" border="0"></div>'+
        '</div>'+
     '<div class="modal-body" id="myModalMsg" ><div  style="display:-webkit-box;" ><div style="width:40%;text-align:right;">可质押份额：</div><div style="width:50%;text-align:right;white-space:nowrap;" id="loanMsg" >{{{msg}}}</div></div>'+
      '<div style="display:-webkit-box;" ><div style="width:40%;text-align:right;line-height:30px;">申请质押份额：</div><div style="width:50%;text-align:right;align-self:baseline;white-space:nowrap;"><input type="text" id="lot1" name="lot1" maxlength="11" size="11" value="{{inquotient}}" placeholder="请输入"/>{{{unit}}}</div></div>'+
      '</div>'+
      '<div class="modal-footer">'+
        '<button type="button" class="modal-ok-btn" data-dismiss="modal" id="myModalOkBtn">{{okbtn}}</button>'+
      '</div>'+
  '</div>'+
'</div>‍'+
'</article>';

//弹出按钮面板
window['common_template'].popbtnpanel_template=
'<article id="popbtnpanel_dialog" class="popbtnpanel_dialog">'+
'<div class="modal" id="myPopBtnPanelModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
'<div class="container-fluid" style="position: absolute;left:0;bottom:0;width: 100%;margin-bottom: 10px">'+
	'<div id="list-group" class="list-group" style="margin-bottom: 15px">'+
	'</div>'+
	'<div class="popbtnpanel_close_container">'+
		'<button class="popbtnpanel_close_btn" data-dismiss="modal" id="myPopBtnPanelModalCloseBtn">关闭</button>'+
	'</div>'+
'</div>'+
'</div>'+
'</article>';

//弹出日期选择
window['common_template'].datepicker_template=
'<article id="datepicker_dialog" class="datepicker_dialog">'+
'<div class="modal fade" id="myDatePickerModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
	'<div class="datepicker_dialog">'+
		'<div class="datepicker_dialog_wrapper">'+
			'<div id="datepicker_core"></div>'+
		'</div>'+
	'</div>'+
'</div>'+
'</article>';

//选择卡号界面
window['common_template'].popselectpanel_selectcard_template=
'<article id="popselectpanel_container" class="popselectpanel_container">'+
'<header>'+
	'<nav>'+
		'<button class="nav_left_btn" onclick="window.scrollTo(0, window.selectPanelScroll);jQuery(\'#popselectpanel_container\').remove();jQuery(\'header,footer,#content\').show();">返回</button>'+
		'<h1 class="nav_title" id="nav_title">请选择卡/账号</h1>'+
	'</nav>'+
'</header>'+
'<div id="content" class="content">'+
	'<div id="scroller" class="scroller">'+
		'{{#each regCardList}}'+
		'{{setIndex @index}}'+
		'<section class="section_padding">'+
				'<ul class="cell_container">'+
					'{{#if cannotSelectFlag}}'+
						'<li class="cell_li">'+
							'<div class="cell_li_left">'+
								'{{#compare areaCodeDesc "==" ""}}'+
									'<div class="cell_li_top">{{acctTypeDesc}}&nbsp;{{cardAlias}}</div>'+
								'{{else}}'+
									'<div class="cell_li_top">{{areaCodeDesc}}&nbsp;{{acctTypeDesc}}&nbsp;{{cardAlias}}</div>'+
								'{{/compare}}'+
								'<div class="cell_li_bottom">{{ftType}}{{cardNumSplit}}</div>'+
							'</div>'+
						'</li>'+
					'{{else}}'+
						'<li class="cell_li_btn" onclick="ICBCUITools.setSelectCardValue(\'{{../../name}}\',\'{{../../source}}\',1,{{@index}},0)">'+
							'{{#compare acctType "==" ""}}'+
								'{{#compare bankIoc "!=" ""}}'+
								'{{#compare bankIoc "!=" null}}'+
								'{{#compare bankIoc "!=" "null"}}'+
								'<div display="inline"><img src="{{bankIoc}}" style="width:34px;height:34px;margin-right:10px;"/></div>'+
								'{{/compare}}'+
								'{{/compare}}'+
								'{{/compare}}'+
							'{{else}}'+
								'{{#compare bankIoc "!=" ""}}'+
								'{{#compare bankIoc "!=" null}}'+
								'{{#compare bankIoc "!=" "null"}}'+
								'<div display="inline"><img src="{{bankIoc}}" style="width:45px;height:31px;margin-right:10px;"/></div>'+
								'{{/compare}}'+
								'{{/compare}}'+
								'{{/compare}}'+
							'{{/compare}}'+
							'{{#compare cardIsHide "==" "true"}}'+
								'<div class="cell_li_left" style="color:#c0cbcb">'+
							'{{else}}'+
								'<div class="cell_li_left">'+
							'{{/compare}}'+
								'{{#compare areaCodeDesc "==" ""}}'+
									'<div class="cell_li_top">{{acctTypeDesc}}&nbsp;{{cardAlias}}</div>'+
								'{{else}}'+
									'<div class="cell_li_top">{{areaCodeDesc}}&nbsp;{{acctTypeDesc}}&nbsp;{{cardAlias}}</div>'+
								'{{/compare}}'+
								'<div class="cell_li_bottom">{{ftType}}{{cardNumSplit}}</div>'+
							'</div>'+
						'</li>'+
					'{{/if}}'+	
					'{{#each this.regAccountList}}'+
					'<li class="cell_li_left_arrow_btn" onclick="ICBCUITools.setSelectCardValue(\'{{../../name}}\',\'{{../../source}}\',2,{{../index}},{{@index}})">'+
						'<div class=cell_li_left>'+
							'<div class="cell_li_top">{{acctTypeDesc}}&nbsp;{{acctAlias}}</div>'+
							'<div class="cell_li_bottom">{{../ftType}}{{acctNumSplit}}</div>'+
						'</div>'+
					'</li>'+
					'{{/each}}'+
				'</ul>'+
		'</section>'+
		'{{/each}}'+
		'{{#compare showBottomBtn "==" "true"}}'+
			'<ul class="cell_container">'+
				'<li class="cell_li_btn" onclick="clickCardListBottomBtnFuc()">'+
					'{{bottomBtnInfo}}'+
				'</li>'+
			'</ul>'+
		'{{/compare}}'+
	'</div>'+
'</div>'+
'<footer>'+
'</footer>'+
'</article>';

//信用卡弹出密码控件
window['common_template'].creditPwd_dialog=
	'<article id="tranAuthenDialog">'+
	'<style>'+
	'.border_input{'+
	'	margin-top:5px;'+
	'	position:relative;'+
	'}'+
	'.border_input_layout{'+
	'	width:224px;height:36px;border:1px #95ADB7 solid;margin:0 auto;'+
	'}'+
	'.border_input_layout_inner{'+
	'	position:absolute;bottom:0;top:0;right:0;left:0;margin:0 auto;'+
	'	width:224px;'+
	'}'+
	'.border_input_layout div{'+
	'	height:35px;border-right:1px #95ADB7 solid;float:left;width:16.6%;font-size:1.6rem;line-height:2.25rem;text-align:center;'+
	'}'+
	'.border_input_layout div:last-child{'+
	'	border-right:0px;'+
	'}'+
	'.border_input_core{'+
	'	width:100%;height:35px !important;font-size:0.1px !important;color:transparent !important;'+
	'}'+
	'.authen_tip{'+
	'	margin:0 auto;text-indent:2rem;line-height:16px;font-size:0.85rem;'+
	'}'+
	'.authen_tip img{'+
	'	margin:5px auto;max-width:100%;display:inherit;'+
	'}'+
	'.modal{'+
	'	position: absolute;'+
	'}'+
	'#errorTipsOpen{'+
	'	color:#FF7B7B;text-align:center;margin:8px 0;'+
	'}'+
	'</style>'+
	'<div class="modal fade modal_wrapper" id="myTranAuthenDialog" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
	'<div class="modal-dialog" style="vertical-align:top;padding-top:20px">'+
	'<div class="modal-content">'+
	'  <div class="modal-header" style="border-bottom:1px solid #e5e5e5;padding:5px;">'+
	'    <h4 class="modal-title" id="myModalLabel" style="font-size:1.1rem">'+
	'请输入卡密码'+
	'	</h4>'+ 
	'				<div class="authen_tip" id="myModalCancelBtn" style="position:absolute;top:-6px;color:#0050c7;"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/quxiaoX.png" border="0"></div>'+
	'  </div>'+
	'  <div class="modal-body" id="myModalMsg" style="padding:0px">'+
	'  	<div class="modal-body-bottom">'+
	'<!--================================================= 卡密码 ==========================================================-->'+	
	'								<div class="border_input">'+
	'								<div class="border_input_layout" id="border_input_layout_Open">'+
	'	  								<div></div><div></div><div></div><div></div><div></div><div></div>'+
	'								</div>'+
	'								<div id="errorTipsOpen"></div>'+
	'	  							<span class="border_input_layout_inner">'+
	'	  								<input pattern="[0-9]*" id="cardEnPassword" name="tmp_cardEnPassword"  class="border_input_core" placeholder=" " value="" data-type="safeKeyBoard" data-showstyle="2" data-name="cardEnPassword"  maxlength="6"  type="password"/>'+
	'	  							</span>	      					'+
	'								</div>'+
	'  	</div>'+
	'  </div>'+
	'  <div style="margin-top:5px;margin-bottom:8px;" align="center">'+
	'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:200px;min-height:30px;">确定</button>'+
	'  </div>'+
	'</div>'+
	'</div>'+
	'</div>‍'+
	'</article>';
//添加合作方联名账户设置密码控件
window['common_template'].corpAcctSetPwd_dialog=
	'<article id="tranAuthenDialog">'+
	'<style>'+
	'.modal-body-bottom{'+
	'	border:0;padding:8px 10px;'+
	'}'+
	'.ipnut_title1{'+
	'	width:224px;margin:0 auto 10px auto;'+
	'}'+
	'.ipnut_title2{'+
	'	width:224px;margin:0 auto;'+
	'}'+
	'.border_input{'+
	'	margin-top:2px;'+
	'	position:relative;'+
	'}'+
	'.border_input_layout{'+
	'	width:224px;height:36px;border:1px #ccc solid;margin:0 auto;'+
	'}'+
	'.border_input_layout_inner{'+
	'	position:absolute;bottom:0;top:0;right:0;left:0;margin:0 auto;'+
	'	width:224px;'+
	'}'+
	'.border_input_layout div{'+
	'	height:35px;border-right:1px #ccc solid;float:left;width:16.6%;font-size:1.6rem;line-height:2.25rem;text-align:center;'+
	'}'+
	'.border_input_layout div:last-child{'+
	'	border-right:0px;'+
	'}'+
	'.border_input_core{'+
	'	width:100%;height:35px !important;font-size:0.1px !important;color:transparent !important;'+
	'}'+
	'.authen_tip{'+
	'	margin:0 auto;text-indent:2rem;line-height:16px;font-size:0.85rem;'+
	'}'+
	'.authen_tip img{'+
	'	margin:5px auto;max-width:100%;display:inherit;'+
	'}'+
	'.modal{'+
	'	position: absolute;'+
	'}'+
	'.errorTipsOpen{'+
	'	color:#FF7B7B;text-align:center;margin:8px 0;'+
	'}'+
	'</style>'+
	'<div class="modal fade modal_wrapper" id="myTranAuthenDialog" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
	'<div class="modal-dialog" style="vertical-align:top;padding-top:20px">'+
	'<div class="modal-content">'+
	'  <div class="modal-header" style="border-bottom:1px solid #e5e5e5;padding:5px;">'+
	'    <h4 class="modal-title" id="myModalLabel" style="font-size:1.1rem">'+
	'设置账户密码'+
	'	</h4>'+ 
	'				<div class="authen_tip" id="myModalCancelBtn" style="position:absolute;top:-6px;color:#0050c7;display:none;"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/quxiaoX.png" border="0"></div>'+
	'  </div>'+
	'  <div class="modal-body" id="myModalMsg" style="padding:0px">'+
	'  	<div class="modal-body-bottom" id="pwdDiv1">'+
	'<!--================================================= 卡密码1 ==========================================================-->'+	
	'								<div class="ipnut_title1">'+
	'请为尾号<span id="wh_span">xxxx</span>的电子账户设置账户密码（6位数字），账户密码可用于账户查询、挂失等相关操作。'+
	'								</div>'+
	'								<div class="ipnut_title2">'+
	'请设置账户密码'+
	'								</div>'+
	'								<div class="border_input">'+
	'								<div class="border_input_layout" id="border_input_layout_Open1">'+
	'	  								<div></div><div></div><div></div><div></div><div></div><div></div>'+
	'								</div>'+
	'	  							<span class="border_input_layout_inner">'+
	'	  								<input pattern="[0-9]*" id="cardEnPassword1" name="tmp_cardEnPassword1"  class="border_input_core" placeholder=" " value="" data-type="safeKeyBoard" data-showstyle="2" data-name="cardEnPassword1"  maxlength="6"  type="password"/>'+
	'	  							</span>	      					'+
	'								</div>'+
	'  	</div>'+
	'  	<div class="modal-body-bottom" id="pwdDiv2">'+
	'<!--================================================= 卡密码2 ==========================================================-->'+	
	'								<div class="ipnut_title2">'+
	'请再次输入账户密码'+
	'								</div>'+
	'								<div class="border_input">'+
	'								<div class="border_input_layout" id="border_input_layout_Open2">'+
	'	  								<div></div><div></div><div></div><div></div><div></div><div></div>'+
	'								</div>'+
	'								<div class="errorTipsOpen" id="errorTipsOpen2"></div>'+
	'	  							<span class="border_input_layout_inner">'+
	'	  								<input pattern="[0-9]*" id="cardEnPassword2" name="tmp_cardEnPassword2"  class="border_input_core" placeholder=" " value="" data-type="safeKeyBoard" data-showstyle="2" data-name="cardEnPassword2"  maxlength="6"  type="password"/>'+
	'	  							</span>	      					'+
	'								</div>'+
	'  	</div>'+
	'  </div>'+
	'  <div style="margin-bottom:8px;" align="center">'+
	'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:200px;min-height:30px;">确定</button>'+
	'  </div>'+
	'</div>'+
	'</div>'+
	'</div>‍'+
	'</article>';
//资金转入cfcfcf
window['common_template'].popselectpanel_selectbankcard_template=
'<article id="popselectpanel_container" class="popselectpanel_container">'+
'<header>'+
	'<nav>'+
		'<button class="nav_left_btn" onclick="window.scrollTo(0, window.selectPanelScroll);jQuery(\'#popselectpanel_container\').remove();jQuery(\'header,footer,#content\').show();">返回</button>'+
		'<h1 class="nav_title" id="nav_title">请选择卡/账号</h1>'+
	'</nav>'+
'</header>'+
'<div id="content" class="content">'+
	'<div id="scroller" class="scroller">'+
		'{{#each iBindCardList}}'+
		'{{setIndex @index}}'+
		'<section class="section_padding">'+
				'<ul class="cell_container">'+
					'<li class="cell_li_btn" onclick="ICBCUITools.setSelectBankCardValue(\'{{../name}}\',\'{{../source}}\',1,{{@index}},0)">'+
						'<div class="cell_li_left">'+
							'<div class="nopadding inLine mylist-op list">'+
								'<div  style="width:100%;padding-left:50px;padding-top: 10px;background:url(/ICBCWAPBank/ebdpui/icbc_client/css/images/{{image}}) no-repeat left center;background-size:35px 35px" >'+
								'<div  style="padding:0px;line-height: 20px;" >'+
									'<div>{{accnoDisplay}}</div>'+
									'<div  style="color:#c7c7c7">{{bankName}}</div>'+
								'</div> </div>'+
								'</div>'+
								/*'<div class="cell_li_top">{{accno}}</div>'+
								'<div class="cell_li_bottom">{{accno}}</div>'+*/
							'</div>'+
						'</li>'+
						/*
							
								
							
						'</li>'+		*/		
					
				'</ul>'+
		'</section>'+
		'{{/each}}'+
	'</div>'+
'</div>'+
'<footer>'+
'</footer>'+
'</article>';

//华商资金转出
window['common_template'].popselectpanel_selectbankcard2_template=
'<article id="popselectpanel_container" class="popselectpanel_container">'+
'<header>'+
	'<nav>'+
		'<button class="nav_left_btn" onclick="window.scrollTo(0, window.selectPanelScroll);jQuery(\'#popselectpanel_container\').remove();jQuery(\'header,footer,#content\').show();">返回</button>'+
		'<h1 class="nav_title" id="nav_title">请选择卡/账号</h1>'+
	'</nav>'+
'</header>'+
'<div id="content" class="content">'+
	'<div id="scroller" class="scroller">'+
		'{{#each iBindCardList}}'+
		'{{setIndex @index}}'+
		'<section class="section_padding">'+
				'<ul class="cell_container">'+
					'<li class="cell_li_btn" onclick="ICBCUITools.setSelectBankCardValue(\'{{../name}}\',\'{{../source}}\',1,{{@index}},0)">'+
						'<div class="cell_li_left">'+
							'<div class="nopadding inLine mylist-op list">'+
								'<div  style="width:100%;padding-left:50px;padding-top: 10px;background:url(/ICBCWAPBank/ebdpui/icbc_client/css/images/{{image}}) no-repeat left center;background-size:35px 35px" >'+
								'<div  style="padding:0px;line-height: 20px;" >'+
									'<div  style="color:#c7c7c7">{{bankName}}</div>'+
									'<div>{{accnoDisplay}}</div>'+
								'</div> </div>'+
								'</div>'+
								/*'<div class="cell_li_top">{{accno}}</div>'+
								'<div class="cell_li_bottom">{{accno}}</div>'+*/
							'</div>'+
						'</li>'+
						/*
							
								
							
						'</li>'+		*/		
					
				'</ul>'+
		'</section>'+
		'{{/each}}'+
	'</div>'+
'</div>'+
'<footer>'+
'</footer>'+
'</article>';



//选择人行卡号界面
window['common_template'].popselectpanel_selectrencard_template=
'<article id="popselectpanel_container" class="popselectpanel_container">'+
'<header>'+
	'<nav>'+
		'<button class="nav_left_btn" onclick="window.scrollTo(0, window.selectPanelScroll);jQuery(\'#popselectpanel_container\').remove();jQuery(\'header,footer,#content\').show();">返回</button>'+
		'<h1 class="nav_title" id="nav_title">请选择卡/账号</h1>'+
	'</nav>'+
'</header>'+
'<div id="content" class="content">'+
	'<div id="scroller" class="scroller">'+
		'{{#each renRegCardList}}'+
		'{{setIndex @index}}'+
		'<section class="section_padding">'+
				'<ul class="cell_container">'+
					'<li class="cell_li_btn" onclick="ICBCUITools.setSelectRenCardValue(\'{{../name}}\',\'{{../source}}\',{{@index}})">'+
						'<div class="cell_li_left">'+
							'<div class="cell_li_top">{{bankName}}&nbsp;{{alias}}</div>'+
							'<div class="cell_li_bottom">{{acctNum}}</div>'+
						'</div>'+
					'</li>'+
				'</ul>'+
		'</section>'+
		'{{/each}}'+
	'</div>'+
'</div>'+
'<footer>'+
'</footer>'+
'</article>';

//弹出选择分组界面
window['common_template'].popselectpanel_selectgroup_template=
'<article id="popselectpanel_container" class="popselectpanel_container">'+
'<header>'+
	'<nav>'+
		'<button class="nav_left_btn" onclick="window.scrollTo(0, window.selectPanelScroll);jQuery(\'#popselectpanel_container\').remove();jQuery(\'header,footer,#content\').show();">返回</button>'+
		'<h1 class="nav_title" id="nav_title">请选择</h1>'+
	'</nav>'+
'</header>'+
'<div id="content" class="content">'+
	'<div id="scroller" class="scroller">'+
		'<section class="section_datatable">'+
			'{{#each groupList}}'+
			'{{setIndex @index}}'+
			'<table class="datatable">'+
				'<thead><tr class="main_title"><th align="left">{{groupName}}</th></tr>'+
				'<tbody>'+
				'{{#each data}}'+
					'<tr class="datatable_tr_btn" onclick="ICBCUITools.setSelectGroupValue(\'{{../../name}}\',\'{{../../source}}\',{{../index}},{{@index}})"><td>{{name}}</td></tr>'+
				'{{/each}}'+
				'</tbody>'+
			'</table>'+
			'{{/each}}'+
		'</section>'+
	'</div>'+
'</div>'+
'<footer>'+
'</footer>'+
'</article>';


window['common_template'].popselectpanel_selectgroup_loantemplate=
	'<article id="popselectpanel_container" class="popselectpanel_container">'+
	'<header>'+
		'<nav>'+
			'<button class="nav_left_btn" onclick="window.scrollTo(0, window.selectPanelScroll);jQuery(\'#popselectpanel_container\').remove();jQuery(\'header,footer,#content\').show();">返回</button>'+
			'<h1 class="nav_title" id="nav_title">请选择</h1>'+
		'</nav>'+
	'</header>'+
	'<div id="content" class="content">'+
		'<div id="scroller" class="scroller">'+
			'<section class="section_datatable">'+
				'{{#each groupList}}'+
				'{{setIndex @index}}'+
				'<table class="datatable">'+
					'<thead><tr class="main_title"></tr>'+
					'<tbody>'+
					'{{#each data}}'+
						'<tr class="datatable_tr_btn" onclick="ICBCUITools.setSelectGroupValue(\'{{../../name}}\',\'{{../../source}}\',{{../index}},{{@index}})"><td>{{name}}</td></tr>'+
					'{{/each}}'+
					'</tbody>'+
				'</table>'+
				'{{/each}}'+
			'</section>'+
		'</div>'+
	'</div>'+
	'<footer>'+
	'</footer>'+
	'</article>';


//弹出选择界面
window['common_template'].popselectpanel_template=
'<article id="popselectpanel_container" class="popselectpanel_container">'+
'<header>'+
	'<nav>'+
		'<button class="nav_left_btn" onclick="window.scrollTo(0, window.selectPanelScroll);jQuery(\'#popselectpanel_container\').remove();jQuery(\'header,footer,#content\').show();">返回</button>'+
		'<h1 class="nav_title" id="nav_title">请选择</h1>'+
	'</nav>'+
'</header>'+
'<div id="content" class="content">'+
	'<div id="scroller" class="scroller">'+
		'<section class="section_padding">'+
				'<ul class="cell_container">'+
					'{{#each source}}'+
					'<li class="cell_li_btn" onclick="ICBCUITools.setSelectValue(\'{{../name}}\',{{@index}})">'+
						'<div class="cell_li_left">{{name}}</div>'+
					'</li>'+
					'{{/each}}'+
				'</ul>'+
		'</section>'+
	'</div>'+
'</div>'+
'<footer>'+
'</footer>'+
'</article>';

//弹出含提示信息的选择界面
window['common_template'].popselectpanel_withtip_template=
	'<article id="popselectpanel_container" class="popselectpanel_container">'+
	'<header>'+
		'<nav>'+
			'<button class="nav_left_btn" onclick="window.scrollTo(0, window.selectPanelScroll);jQuery(\'#popselectpanel_container\').remove();jQuery(\'header,footer,#content\').show();">返回</button>'+
			'<h1 class="nav_title" id="nav_title">请选择</h1>'+
		'</nav>'+
	'</header>'+
	'<div id="content" class="content">'+
		'<div id="scroller" class="scroller">'+
			'<section class="section_padding">'+
					'<ul class="cell_container">'+
						'{{#each source}}'+
							'<li class="cell_li_btn" onclick="ICBCUITools.setSelectValue(\'{{../name}}\',{{@index}})">'+
								'<div class="cell_li_left">'+
									'<div class="cell_li_top">'+
										'{{name}}'+ 
									'</div>'+
									'<div class="cell_li_bottom gray_txt">'+
										'{{tip}}'+
									'</div>'+
								'</div>'+
							'</li>'+
						'{{/each}}'+
					'</ul>'+
			'</section>'+
		'</div>'+
	'</div>'+
	'<footer>'+
	'</footer>'+
	'</article>';

//弹出选择联系人界面
window['common_template'].popselectpanel_selectcontact_template=
'<article id="popselectpanel_container" class="popselectpanel_container">'+
'<header>'+
	'<nav>'+
		'<button class="nav_left_btn" onclick="window.scrollTo(0, window.selectPanelScroll);jQuery(\'#popselectpanel_container\').remove();jQuery(\'header,footer,#content\').show();">返回</button>'+
		'<h1 class="nav_title" id="nav_title">请选择</h1>'+
	'</nav>'+
'</header>'+
'<div id="content" class="content">'+
	'<div id="scroller" class="scroller">'+
		'<section class="section_datatable">'+
			'<table class="datatable">'+
				'<thead><tr class="main_title"><th align="left">联系人</th><th align="right">手机号</th></tr>'+
				'{{#if source.contactList}}'+
					'<tbody>'+
					'{{#each source.contactList}}'+
						'<tr class="datatable_tr_btn" onclick="ICBCUITools.setSelectContactValue(\'{{../name}}\',{{@index}})"><td align="left">{{contact}}</td><td align="right">{{PhoneNumber}}</td></tr>'+
					'{{/each}}'+
					'</tbody>'+					
				'{{else}}'+
					'<tfoot>'+
					'<tr id="noResult"><td colspan="2">暂无联系人信息</td></tr>'+
					'</tfoot>'+				
				'{{/if}}'+
			'</table>'+
		'</section>'+
	'</div>'+
'</div>'+
'<footer>'+
'</footer>'+
'</article>';
//弹出选择联系人界面
window['common_template'].popselectpanel_selectcontactemail_template=
'<article id="popselectpanel_container" class="popselectpanel_container">'+
'<header>'+
	'<nav>'+
		'<button id="selectcontactemailbackbtn" class="nav_left_btn" onclick="window.scrollTo(0, window.selectPanelScroll);jQuery(\'#popselectpanel_container\').remove();jQuery(\'header,footer,#content\').show();">返回</button>'+
		'<h1 class="nav_title" id="nav_title">请选择</h1>'+
	'</nav>'+
'</header>'+
'<div id="content" class="content">'+
	'<div id="scroller" class="scroller">'+
		'<section class="section_datatable">'+
			'<table class="datatable">'+
				'<thead><tr class="main_title"><th align="left">联系人</th><th align="right">电子邮箱</th></tr>'+
				'{{#if source.contactList}}'+
					'<tbody>'+
					'{{#each source.contactList}}'+
						'<tr class="datatable_tr_btn" onclick="ICBCUITools.setSelectContactEmailValue(\'{{../name}}\',{{@index}})"><td align="left">{{contact}}</td><td align="right">{{Email}}</td></tr>'+
					'{{/each}}'+
					'</tbody>'+					
				'{{else}}'+
					'<tfoot>'+
					'<tr id="noResult"><td colspan="2">暂无联系人信息</td></tr>'+
					'</tfoot>'+				
				'{{/if}}'+
			'</table>'+
		'</section>'+
	'</div>'+
'</div>'+
'<footer>'+
'</footer>'+
'</article>';
//弹出选择联系人界面（多选）
window['common_template'].popselectpanel_selectmulticontact_template=
'<article id="popselectpanel_container" class="popselectpanel_container">'+
'<header>'+
	'<nav>'+
		'<button class="nav_left_btn" onclick="window.scrollTo(0, window.selectPanelScroll);jQuery(\'#popselectpanel_container\').remove();jQuery(\'header,footer,#content\').show();">返回</button>'+
		'<h1 class="nav_title" id="nav_title">请选择</h1>'+
		'<button class="nav_right_btn" onclick="ICBCUITools.setSelectMultiContactValue(\'{{name}}\')">完成</button>'+
	'</nav>'+
'</header>'+
'<div id="content" class="content">'+
	'<div id="scroller" class="scroller">'+
		'<section class="section_datatable">'+
			'<table class="datatable">'+
				'<thead><tr class="main_title"><th align="left">联系人</th><th align="right">手机号</th><th align="right">选择</th></tr>'+
				'{{#if source.contactList}}'+
					'<tbody>'+
					'{{#each source.contactList}}'+
						'<tr class="datatable_tr"><td align="left">{{contact}}</td><td align="right">{{PhoneNumber}}</td><td align="right"><input type="checkbox" name="selectMultiContactCheckBox" value="{{@index}}"/></td></tr>'+
					'{{/each}}'+
					'</tbody>'+					
				'{{else}}'+
					'<tfoot>'+
					'<tr id="noResult"><td colspan="3">暂无联系人信息</td></tr>'+
					'</tfoot>'+				
				'{{/if}}'+
			'</table>'+
		'</section>'+
	'</div>'+
'</div>'+
'<footer>'+
'</footer>'+
'</article>';


//弹出回单输入email页面
window['common_template'].pop_ebill_transmit_email_panel_template=
'<article id="popselectpanel_container" class="popselectpanel_container">'+
'<header>'+
'<nav>'+
	'<button id="returnButton" class="nav_left_btn" onclick="window.scrollTo(0, window.selectPanelScroll);jQuery(\'#popselectpanel_container\').remove();jQuery(\'header,footer,#content\').show();">返回</button>'+
	'<h1 class="nav_title" id="nav_title">回单转发</h1>'+
	'<button class="nav_right_btn" onclick="sendEbillEmail()">确定</button>'+
'</nav>'+
'</header>'+
'<div id="content" class="content">'+
'<div id="scroller" class="scroller">'+
	'<section class="section_padding">'+
		'<ul class="cell_container">'+
			'<li>'+
				'<div class="cell_li_left">'+
					'<div class="il vl_mid">电子邮箱地址</div>'+
				'</div>'+
				'<div class="cell_li_right">'+
					'<input type="text" id="ebillEmail" name="ebillEmailTmp" value="" placeholder="请输入" maxlength="40" size="20" />'+
					'<button id="readEmailBtn" style="margin-left:8px" class="contact_btn" onclick="readEmail()"></button>'+
				'</div>'+
			'</li>'+
		'</ul>'+
	'</section>'+
'</div>'+
'</div>'+
'<footer></footer>'+
'</article>';

//弹出电子发票email页面
window['common_template'].pop_einvoice_email_panel_template=
'<article id="popselectpanel_container" class="popselectpanel_container">'+
'<header>'+
'<nav>'+
	'<button id="returnButton" class="nav_left_btn" onclick="window.scrollTo(0, window.selectPanelScroll);jQuery(\'#popselectpanel_container\').remove();jQuery(\'header,footer,#content\').show();">返回</button>'+
	'<h1 class="nav_title" id="nav_title">电子发票发送</h1>'+
'</nav>'+
'</header>'+
'<div id="content" class="content">'+
'<div id="scroller" class="scroller">'+
	'<section class="section_padding">'+
		'<ul class="cell_container">'+
			'<li>'+
				'<div class="cell_li_left">'+
					'<div class="il vl_mid">电子邮箱地址</div>'+
				'</div>'+
				'<div class="cell_li_right">'+
					'<input type="text" id="ebillEmail" name="ebillEmailTmp" value="" placeholder="请输入" maxlength="40" size="20" />'+
					'<button id="readEmailBtn" style="margin-left:8px" class="contact_btn" onclick="readEmail()"></button>'+
				'</div>'+
			'</li>'+
		'</ul>'+
	'</section>'+
'</div>'+
'</div>'+
'<footer><section class="section_padding"><div class="button_container" data-rowsize="2"><button class="normal_btn" onclick="sendEbillEmail()">邮件发送</button><button class="normal_btn" onclick="backtolist()">返回列表</button></div></section></footer>'+
'</article>';

//弹出验签页面
window['common_template'].tranauthen_dialog=
'<article id="tranAuthenDialog">'+
'<style>'+
'.border_input{'+
'	margin-top:5px;'+
'	position:relative;'+
'}'+
'.border_input_layout{'+
'	width:224px;height:36px;border:1px #95ADB7 solid;margin:0 auto;'+
'}'+
'.border_input_layout_inner{'+
'	position:absolute;bottom:0;top:0;right:0;left:0;margin:0 auto;'+
'	width:224px;'+
'}'+
'.border_input_layout div{'+
'	height:35px;border-right:1px #95ADB7 solid;float:left;width:16.6%;font-size:1.6rem;line-height:2.25rem;text-align:center;'+
'}'+
'.border_input_layout div:last-child{'+
'	border-right:0px;'+
'}'+
'.border_input_core{'+
'	width:100%;height:35px !important;font-size:0.1px !important;color:transparent !important;'+
'}'+
'.authen_tip{'+
'	margin:0 auto;text-indent:2rem;line-height:16px;font-size:0.85rem;'+
'}'+
'.authen_tip img{'+
'	margin:5px auto;max-width:100%;display:inherit;'+
'}'+
'.modal{'+
'	position: absolute;'+
'}'+
'#errorTips{'+
'	color:#FF7B7B;text-align:center;margin:8px 0;'+
'}'+
'</style>'+
'<div class="modal fade modal_wrapper" id="myTranAuthenDialog" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
'<div class="modal-dialog" style="vertical-align:top;padding-top:20px">'+
'<div class="modal-content">'+
'  <div class="modal-header" style="border-bottom:1px solid #e5e5e5;padding:5px;">'+
'    <h4 class="modal-title" id="myModalLabel" style="font-size:1.1rem">'+
'	{{#compare tranAuthenInfoData.modalTitle "==" ""}}'+
'		{{#compare tranAuthenInfoData.authenFlag "==" 1}}'+
'			{{#compare tranAuthenInfoData.epayFlag "==" 0}}'+
'				{{#compare tranAuthenInfoData.custAuthenType "==" 0}}请输入支付密码{{/compare}}'+
'				{{#compare tranAuthenInfoData.custAuthenType "==" 2}}请输入口令卡密码	{{/compare}}'+
'				{{#compare tranAuthenInfoData.custAuthenType "==" 3}}请进行U盾验证{{/compare}}'+
'				{{#compare tranAuthenInfoData.custAuthenType "==" 4}}请输入电子密码器密码{{/compare}}'+
'			{{else}}'+
'				请输入短信验证码'+
'			{{/compare}}'+
'		{{else}}'+
'			请确认以下信息'+
'		{{/compare}}'+
'	{{else}}'+
'{{tranAuthenInfoData.modalTitle}}'+
'	{{/compare}}'+
'	</h4>'+ 
'				<div class="authen_tip" id="myModalCancelBtn" style="position:absolute;top:-6px;color:#0050c7;"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/quxiaoX.png" border="0"></div>'+
'  				<div class="authen_tip" id="choosemedium" style="position:absolute;right:10px;top:10px;color:#0050c7;"></div>'+
'  </div>'+
'  <div class="modal-body" id="myModalMsg" style="padding:0px">'+
'		{{#compare tipsArray "==" undefined}}'+
'  	<div id="modal-tips" class="modal-body-top break_txt" style="max-height:320px;overflow-x:hidden;overflow-y:auto;padding-top:10px;padding-bottom:10px;">'+
'  				{{{tipsArrayHtm}}}'+
'    	{{else}}'+
'  	<div id="modal-tips" class="modal-body-top break_txt" style="max-height:320px;overflow-x:hidden;overflow-y:scroll">'+
'				{{#each tipsArray}}'+
'   			<div class="row">'+
'  					<div class="touchscroll col-xs-4 gray_txt">{{key}}</div>'+
'  					<div class="touchscroll col-xs-8 {{#compare strong "==" true}}pink_txt large_txt{{/compare}}">{{value}}</div>'+
'  				</div>'+
'				{{/each}}'+
'	  	{{/compare}}'+
'  	</div>'+
'	{{#compare tranAuthenInfoData.authenFlag "==" 1}}'+
'  	<div class="modal-body-bottom">'+
'		{{#compare tranAuthenInfoData.epayFlag "==" 0}}'+
'			{{#compare tranAuthenInfoData.custAuthenType "==" 0}}'+
'	  		<!-- 支付密码 -->'+
'			<div>'+
'	  			<input placeholder="请输入支付密码" name="{{tranAuthenInfoData.inputName}}" type="password" maxlength="30" style="border: 1px solid #e5e5e5;width: 100%;direction: ltr;text-align: left;padding: 5px;"/>'+
'				<div id="errorTips"></div>'+
'			</div>'+
'	  		{{/compare}}'+
'			{{#compare tranAuthenInfoData.custAuthenType "==" 2}}'+
'	  		<!-- 口令卡 -->'+
'	  		<div>'+
'				<div>'+
'	      			<div align="center">'+
'	      				请将口令卡坐标<img style="margin-bottom:1px;margin-left:2px;margin-right:1px;" src="{{tranAuthenInfoData.dynaImgUrl}}"/>对应涂层刮开，按顺序输入6位数字密码。'+
'	      			</div>'+
'	      				<div class="border_input">'+
'	      					<div class="border_input_layout" id="border_input_layout">'+
'		      					<div></div><div></div><div></div><div></div><div></div><div></div>'+
'	      					</div>'+
'		      				<span class="border_input_layout_inner">'+
'		      					<input pattern="[0-9]*" class="border_input_core" placeholder=" " name="{{tranAuthenInfoData.inputName}}" type="password" maxlength="6"/>'+
'		      				</span>'+
'	      				</div>'+
'	      		</div>'+
'				{{#compare tranAuthenInfoData.displayMsgFlag "==" 1}}'+
'					<div>提示:{{tranAuthenInfoData.displayMsg}}</div>'+
'				{{/compare}}'+
'				<div id="errorTips"></div>'+
'	  		</div>'+
'	  		{{/compare}}'+
'			{{#compare tranAuthenInfoData.custAuthenType "==" 3}}'+
'	  		<!-- U盾验签提示 -->'+
'				{{#compare tranAuthenInfoData.blueToothFlag "==" 1}}'+	
'			  		<div style="text-center break-all">请长按C键打开蓝牙U盾</div>'+
'				{{else}}'+
'	  				<div class="text-center break-all">请将U盾插入手机音频插口，输入U盾密码并按OK键进行确认。</div>'+
'	  			{{/compare}}'+
'			<div id="errorTips"></div>'+
'	  		{{/compare}}'+
'			{{#compare tranAuthenInfoData.custAuthenType "==" 4}}'+
'	  		<!-- 密码器-->'+
'			<div>'+
'				<div margin:0 auto;text-indent:2rem;line-height:16px;font-size:0.85rem;>'+
'					{{#compare tranAuthenInfoData.challengeType "==" 1}}'+
'						<div>{{tranAuthenInfoData.challengeText}}</div>'+
'					{{else}}'+
'						<div>{{tranAuthenInfoData.tradeChallengeText1}}</div>'+
'						<div style="text-align:center;"><img src="{{tranAuthenInfoData.tokenImgUrl}}"/></div>'+
'						<div>{{tranAuthenInfoData.tradeChallengeText2}}</div>'+
'					{{/compare}}'+
'				</div>'+
'				<div class="border_input">'+
'					<div class="border_input_layout" id="border_input_layout">'+
'	  					<div></div><div></div><div></div><div></div><div></div><div></div>'+
'					</div>'+
'	  				<span class="border_input_layout_inner">'+
'	  					<input pattern="[0-9]*" class="border_input_core" name="{{tranAuthenInfoData.inputName}}" type="password" placeholder=" " maxlength="6"/>'+
'	  				</span>	      					'+
'				</div>'+
'				<div id="errorTips"></div>'+
'	  		</div>'+
'	  		{{/compare}}'+
'			{{#compare tranAuthenInfoData.smsFlag "==" 1}}'+
'					<div>'+
'						<div class="authen_tip" id="epay_authen_tip">'+
'							请输入{{tranAuthenInfoData.ePayMobileString}}接收到的验证码（编号<font id="sendNo">{{tranAuthenInfoData.ePayPassNoString}}</font>），<div id="intervalTime" style="display:inline"></div><button id="resendButton" class="gray_small_btn" disabled="disabled">重新发送</button>'+
'						</div>'+
'						<div class="border_input">'+
'							<div class="border_input_layout" id="border_input_layout_sms">'+
'	  							<div></div><div></div><div></div><div></div><div></div><div></div>'+
'							</div>'+
'	  						<span class="border_input_layout_inner">'+
'	  							<input pattern="[0-9]*" class="border_input_core" placeholder=" " name="{{tranAuthenInfoData.inputNameSms}}" type="text" maxlength="6" data-smscode="{{tranAuthenInfoData.ePayPassNoString}}"/>'+
'	  						</span>'+
'						</div>'+
'						<div id="errorTips"></div>'+
'	  				</div>'+
'	  		{{/compare}}'+
'		{{else}}'+
'	  		<!-- e支付 -->'+
'				{{#compare tranAuthenInfoData.epayandReg "==" 1}}'+		
'					<div class="authen_tip" id="epay_authen_tip">'+
'						1.请输入{{tranAuthenInfoData.ePayMobileString}}接收到的验证码（编号<font id="epayNo">{{tranAuthenInfoData.ePayPassNoString}}</font>），<div id="intervalTime" style="display:inline"></div><button id="resendButton" class="gray_small_btn" disabled="disabled">重新发送</button>'+
'					</div>'+
'					<div class="border_input">'+
'							<div class="border_input_layout" id="border_input_layout">'+
'	  							<div></div><div></div><div></div><div></div><div></div><div></div>'+
'							</div>'+
'	  						<span class="border_input_layout_inner">'+
'	  							<input pattern="[0-9]*" class="border_input_core" placeholder=" " name="{{tranAuthenInfoData.inputName}}" type="text" maxlength="6" data-smscode="{{tranAuthenInfoData.ePayPassNoString}}"/>'+
'	  						</span>	      					'+
'					</div>'+
'					<div id="errorTips"></div>'+
'							{{#compare tranAuthenInfoData.IsVerifyCardPass "==" 1}}'+
'								<div class="authen_tip">'+
'								2.请输入卡（{{tranAuthenInfoData.ePayCardString}}）的取款密码'+
'								</div>'+
'								<div class="border_input">'+
'								<div class="border_input_layout" id="border_input_layout_Open">'+
'	  								<div></div><div></div><div></div><div></div><div></div><div></div>'+
'								</div>'+
'	  							<span class="border_input_layout_inner">'+
'	  								<input pattern="[0-9]*" id="cardEnPassword" name="tmp_cardEnPassword"  class="border_input_core" placeholder=" " value="" data-type="safeKeyBoard" data-name="cardEnPassword"  maxlength="6"  type="password"/>'+
'	  							</span>	      					'+
'								</div>'+
'								<div id="errorTipsOpen"></div>'+
'							{{/compare}}'+
'				{{else}}'+
'					<div>'+
'						<div class="authen_tip" id="epay_authen_tip">'+
'							请输入{{tranAuthenInfoData.ePayMobileString}}接收到的验证码（编号<font id="epayNo">{{tranAuthenInfoData.ePayPassNoString}}</font>），<div id="intervalTime" style="display:inline"></div><button id="resendButton" class="gray_small_btn" disabled="disabled">重新发送</button>'+
'						</div>'+
'						<div class="border_input">'+
'							<div class="border_input_layout" id="border_input_layout">'+
'	  							<div></div><div></div><div></div><div></div><div></div><div></div>'+
'							</div>'+
'	  						<span class="border_input_layout_inner">'+
'	  							<input pattern="[0-9]*" class="border_input_core" placeholder=" " name="{{tranAuthenInfoData.inputName}}" type="text" maxlength="6" data-smscode="{{tranAuthenInfoData.ePayPassNoString}}"/>'+
'	  						</span>	      					'+
'						</div>'+
'						<div id="errorTips"></div>'+
'	  				</div>'+
'				{{/compare}}'+
'		{{/compare}}'+
'  	</div>'+
'	{{/compare}}'+
'	{{#compare tranAuthenInfoData.authenFlag "==" 0}}'+
'		{{#compare tranAuthenInfoData.noAuthenFlag "==" 1}}'+
'			<!-- 免签提示 -->'+
'			<div class="modal-body-bottom" style="border-top: 0px"><div class="text-center break-all" style="margin-bottom:3px">{{tranAuthenInfoData.noAuthenMsg}}</div></div>'+
'		{{/compare}}'+
'	{{/compare}}'+
'  </div>'+
'  {{#compare tranAuthenInfoData.noConfirmButton "!=" 1}}'+
'  <div style="margin-top:5px;margin-bottom:8px;" align="center">'+
'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:200px;min-height:30px;">确定</button>'+
'  </div>'+
'  {{/compare}}'+
'</div>'+
'</div>'+
'</div>‍'+
'</article>';
//新验签台旧模板
window['common_template'].newauthen_dialog=
	'<article id="newAuthenDialog">'+
	'<style>'+
	'.modal{'+
	'	position: absolute;'+
	'}'+
	'</style>'+
	'<div class="modal modal_wrapper" id="myTranAuthenDialog" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
	'<div class="modal-dialog" style="vertical-align:bottom;">'+
	'{{#compare height_noLimit "==" 1}}'+
	'	<div class="modal-content-new" style="max-height:800px">'+
	'{{else}}'+
	'	<div class="modal-content-new">'+
	'{{/compare}}'+
	'	<div class="modal-header-new">'+

	'	<h4 class="modal-title" id="myModalLabel" style="font-size:18px;color:#333333;">'+
	'	{{#compare tranAuthenInfoData.modalTitle "==" ""}}'+
	'		{{#compare tranAuthenInfoData.authenFlag "==" 1}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 2}}口令卡认证{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 3}}U盾认证{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 4}}密码器认证{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 99}}短信认证{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 992}}短信认证{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 993}}指纹认证{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 994}}短信认证{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" ""}}无可用认证方式{{/compare}}'+
	'		{{else}}'+
	'			确认信息'+
	'		{{/compare}}'+
	'	{{else}}'+
	'		{{tranAuthenInfoData.modalTitle}}'+
	'	{{/compare}}'+
	'	</h4>'+ 
	'	<div class="authen_tip" id="myModalCancelBtn" style="position:absolute;top:0px;"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/quxiaoXNAD.png" style="width:18px;height:18px;margin:14px;max-width:100%;display:inherit;" border="0"></div>'+
	'		{{#compare tranAuthenInfoData.supportMediumFlagNAD "==" 1}}'+
	'	<div class="authen_tip" id="choosemedium" style="position:absolute;right:13px;top:14px;color:#3399ff;"></div>'+
	'		{{/compare}}'+
	'</div>'+
	'<div class="modal-body" id="myModalMsg" style="padding:0px;max-height:700px;overflow-y:auto;">'+
	'	{{#compare tranAuthenInfoData.authenFlag "==" 1}}'+
	'		{{#compare tipsArray "==" undefined}}'+
	'		{{#compare tipsArrayHtm "!=" undefined}}'+
	'			{{#compare height_noLimit "==" 1}}'+
	'				<div id="modal-tips" class="modal-tips break_txt" style="max-height:500px">'+
	'					{{{tipsArrayHtm}}}'+
	'			{{else}}'+
	'				<div id="modal-tips" class="modal-tips break_txt">'+
	'					{{{tipsArrayHtm}}}'+
	'			{{/compare}}'+
	'	  	</div>'+
	'		{{else}}'+
	'		<div class="modal-tips break_txt"></div>'+
	'		{{/compare}}'+
	'		{{else}}'+
	'	{{#compare height_noLimit "==" 1}}'+
	'		<div id="modal-tips" class="modal-tips break_txt" style="max-height:500px">'+
	'			{{#each tipsArray}}'+
	'   			<div class="row">'+
	'  					<div class="col-xs-4 gray_txt">{{key}}</div>'+
	'  					<div class="col-xs-8 {{#compare strong "==" true}}pink_txt large_txt{{/compare}}">{{value}}</div>'+
	'  				</div>'+
	'			{{/each}}'+
	'  		</div>'+
	'		{{else}}'+
	'			<div id="modal-tips" class="modal-tips break_txt">'+
	'				{{#each tipsArray}}'+
	'   				<div class="row">'+
	'  						<div class="col-xs-4 gray_txt">{{key}}</div>'+
	'  						<div class="col-xs-8 {{#compare strong "==" true}}pink_txt large_txt{{/compare}}">{{value}}</div>'+
	'  					</div>'+
	'				{{/each}}'+
	'  			</div>'+
	'		{{/compare}}'+
	'	{{/compare}}'+
	'  		<div class="modal-body-bottom-new">'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 2}}'+
	'	  			<!-- 口令卡 -->'+
	'				{{#compare tranAuthenInfoData.mediumUnavailableFlag "==" 1}}'+
	'				<div class="medium_unavailable_div">{{tranAuthenInfoData.mediumUnavailableMsg}}</div>'+
	'				{{else}}'+
	'	  			<div style="padding-bottom:29px;">'+
	'					<div>'+
	'						<div id="axisCard" align="left" style="color:#666666;padding:12px 0px;">'+
	'							请将口令卡坐标{{{tranAuthenInfoData.dynaPass}}}对应涂层刮开，按顺序输入6位数字密码。'+
	'						</div>'+
	'						<div class="border_input">'+
	'	      					<div class="border_input_layout" id="border_input_layout">'+
	'		      					<div></div><div></div><div></div><div></div><div></div><div></div>'+
	'	      					</div>'+
	'		      				<span class="border_input_layout_inner">'+
	'		      					<input pattern="[0-9]*" class="border_input_core" placeholder=" " data-type="numberKeyBoard" data-name="_encrypt_dynaPasswdRes" name="tmp__encrypt_dynaPasswdRes" type="password" maxlength="6"/>'+
	'		      				</span>'+
	'	      				</div>'+
	'	      			</div>'+
	'					{{#compare tranAuthenInfoData.displayMsgFlag "==" 1}}'+
	'					<div>提示:{{tranAuthenInfoData.displayMsg}}</div>'+
	'					{{/compare}}'+
	'					<div id="errorTips"></div>'+
	'	  			</div>'+
	'				{{/compare}}'+
	'	  		{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 3}}'+
	'			  	<!-- U盾验签提示 -->'+
	'				{{#compare tranAuthenInfoData.mediumUnavailableFlag "==" 1}}'+
	'				<div class="medium_unavailable_div">{{tranAuthenInfoData.mediumUnavailableMsg}}</div>'+
	'				{{else}}'+
	'				<div style="padding-bottom:19px;">'+
	'			  	<div align="center" style="padding-top:15px;font-size:18px;color:#666666;">请将U盾插入手机音频插口</div>'+
	'			  	<div align="center"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/ukey.png" style="max-width:130px;padding-top:18px;padding-bottom:0px;"></img></div>'+
	'				</div>'+
	'	  			{{/compare}}'+
	'	  		{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 4}}'+
	'				<!-- 密码器-->'+
	'				{{#compare tranAuthenInfoData.mediumUnavailableFlag "==" 1}}'+
	'				<div class="medium_unavailable_div">{{tranAuthenInfoData.mediumUnavailableMsg}}</div>'+
	'				{{else}}'+
	'				<div style="padding-bottom:29px;">'+
	'					<div margin:0 auto;text-indent:2rem;line-height:16px;font-size:0.85rem;>'+
	'						{{#compare tranAuthenInfoData.challengeType "==" 1}}'+
	'						<div id="mimaqi" style="padding:12px 0px;line-height:17px;color:#666666;font-size:13px;">{{{tranAuthenInfoData.challengeText}}}</div>'+
	'						{{else}}'+
	'						<div style="text-align:center;"><img src="{{tranAuthenInfoData.tokenImgUrl}}"/></div>'+
	'						<div id="mimaqi" style="padding:12px 0px;line-height:17px;color:#666666;font-size:13px;">{{{tranAuthenInfoData.tradeChallengeText2}}}</div>'+
	'						{{/compare}}'+
	'					</div>'+
	'					<div class="border_input">'+
	'						<div class="border_input_layout" id="border_input_layout">'+
	'	  						<div></div><div></div><div></div><div></div><div></div><div></div>'+
	'						</div>'+
	'	  					<span class="border_input_layout_inner">'+
	'	  						<input pattern="[0-9]*" class="border_input_core" data-type="numberKeyBoard" data-name="_encrypt_tokenInputNAD" name="tmp__encrypt_tokenInputNAD" type="password" placeholder=" " maxlength="6"/>'+
	'	  					</span>'+
	'					</div>'+
	'					<div id="errorTips"></div>'+
	'	  			</div>'+
	'	  			{{/compare}}'+
	'	  		{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 992}}'+
	'				<!--e支付+注册-->'+
	'				<div style="padding-bottom:19px;">'+
	'				<div class="sms_input_div">'+
	'	  				<input pattern="[0-9]*" class="sms_input" placeholder="请输入验证码" name="tmp_{{tranAuthenInfoData.inputName}}" data-type="numberKeyBoard" data-name="{{tranAuthenInfoData.inputName}}" type="text" maxlength="6" data-smscode="{{tranAuthenInfoData.ePayPassNoString}}"/>'+
	'	  				<div class="sms_div"><nobr><div id="intervalTime" style="display:inline-block;vertical-align:middle;"></div><button id="resendButton" class="no_border_btn" disabled="disabled">重新获取</button></nobr></div>'+
	'	  			</div>'+
	'				<div class="sms_tip_div">'+
	'					请输入{{tranAuthenInfoData.ePayMobileString}}接收到的验证码（编号{{tranAuthenInfoData.ePayPassNoString}}）'+
	'				</div>'+
	'				<div id="errorTips"></div>'+
	'				{{#compare tranAuthenInfoData.IsVerifyCardPass "==" 1}}'+
	'				<div class="sms_tip_div">'+
	'					请输入卡（{{tranAuthenInfoData.ePayCardString}}）的取款密码'+
	'				</div>'+
	'				<div class="border_input">'+
	'					<div class="border_input_layout" id="border_input_layout">'+
	'	  					<div></div><div></div><div></div><div></div><div></div><div></div>'+
	'					</div>'+
	'	  				<span class="border_input_layout_inner">'+
	'	  					<input pattern="[0-9]*" name="tmp_cardEnPasswordNAD" class="border_input_core" placeholder=" " value="" data-type="numberKeyBoard" data-name="cardEnPasswordNAD" data-encrypt="0" maxlength="6"  type="password"/>'+
	'	  				</span>'+
	'				</div>'+
	'				<div id="errorTipsOpen"></div>'+
	'				</div>'+
	'				{{/compare}}'+
	'			{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 99}}'+
	'				<!--e支付-->'+
	'				<div>'+
	'				<div class="sms_input_div">'+
	'	  				<input pattern="[0-9]*" class="sms_input" placeholder="请输入验证码" name="tmp_{{tranAuthenInfoData.inputName}}" data-type="numberKeyBoard" data-name="{{tranAuthenInfoData.inputName}}" type="text" maxlength="6" data-smscode="{{tranAuthenInfoData.ePayPassNoString}}"/>'+
	'	  				<div class="sms_div"><nobr><div id="intervalTime" style=""></div><button id="resendButton" class="no_border_btn" disabled="disabled">重新获取</button></nobr></div>'+
	'	  			</div>'+
	'				<div class="sms_tip_div">'+
	'					请输入{{tranAuthenInfoData.ePayMobileString}}接收到的验证码（编号{{tranAuthenInfoData.ePayPassNoString}}）'+
	'				</div>'+
	'				<div id="errorTips"></div>'+
	'				</div>'+
	'			{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 993}}'+
	'				<!--指纹-->'+
	'				<div>'+
	'					<div style="color:#333;font-size:14px;padding-top:8px;text-align:center;">'+
	'						请确认以上信息，点击“确定”按钮后验证指纹/刷脸'+
	'					</div>'+
	'					<div style="padding-top:44px;padding-bottom:25px;" align="center"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/finger.png" style="width:72px;height:72px;" border="0"></div>'+
	'					<div style="display:none;padding-bottom:34px;font-size:13px;color:#333;text-align:center;">请验证指纹/刷脸或<font color="#3399ff">输入支付密码</font></div>'+
	'	  			</div>'+
	'			{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 994}}'+
	'				<!--短信-->'+
	'				<div class="sms_input_div">'+
	'	  				<input pattern="[0-9]*" class="sms_input" placeholder="请输入验证码" name="tmp_{{tranAuthenInfoData.inputName}}" data-type="numberKeyBoard" data-name="{{tranAuthenInfoData.inputName}}" type="text" maxlength="6" data-smscode="{{tranAuthenInfoData.umsMsgNo}}"/>'+
	'	  				<div class="sms_div"><nobr><div id="intervalTime"></div><button id="resendButton" class="no_border_btn" disabled="disabled">重新获取</button></nobr></div>'+
	'	  			</div>'+
	'				<div class="sms_tip_div">'+
	'					请输入{{tranAuthenInfoData.umsMobileString}}接收到的验证码（编号{{tranAuthenInfoData.umsMsgNo}}）'+
	'				</div>'+
	'				<div id="errorTips"></div>'+
	'			{{/compare}}'+
	'		</div>'+
	'	{{/compare}}'+
	'	{{#compare tranAuthenInfoData.authenFlag "==" 0}}'+
	'		<div style="padding-top:5px;padding-bottom:19px;color:#333333;font-size:15px;text-align: center;">请确认以下信息，点击“确定”按钮以完成操作</div>'+
	'		{{#compare tipsArray "==" undefined}}'+
	'		<div id="modal-tips" class="modal-tips-noauthen break_txt" style="height:115px;overflow-x:hidden;overflow-y:auto;border-radius:2px;background-color:#f6f6f6;margin:0px 18px;">'+
	'			{{{tipsArrayHtm}}}'+
	'	  	</div>'+
	'		{{else}}'+
	'		<div id="modal-tips" class="modal-tips-noauthen break_txt" style="height:115px;overflow-x:hidden;overflow-y:auto;border-radius:2px;background-color:#f6f6f6;margin:0px 18px;">'+
	'			{{#each tipsArray}}'+
	'   			<div class="row">'+
	'  					<div class="touchscroll col-xs-4 gray_txt">{{key}}</div>'+
	'  					<div class="touchscroll col-xs-8 {{#compare strong "==" true}}pink_txt large_txt{{/compare}}">{{value}}</div>'+
	'  				</div>'+
	'			{{/each}}'+
	'  		</div>'+
	'		{{/compare}}'+
	'		<div style="height:80px;">'+
	'			{{#compare tranAuthenInfoData.noAuthenMsgFlag "==" 1}}'+
	'			<!-- 免签提示 -->'+
	'			<div class="modal-body-bottom-new" style="padding: 19px 18px;">{{tranAuthenInfoData.noAuthenMsg}}</div>'+
	'			{{/compare}}'+
	'		</div>'+
	'	{{/compare}}'+
	'</div>'+
	'{{#compare tranAuthenInfoData.noConfirmButton "!=" 1}}'+
	'  {{#compare tranAuthenInfoData.defaultAuthenType "==" 993}}'+
	'  <div class="nad_button_div">'+
	'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:100%;height:43px;margin:0px;font-size:20px;">确定</button>'+
	'  </div>'+
	'  {{/compare}}'+
	'  {{#compare tranAuthenInfoData.defaultAuthenType "==" 3}}'+
	'  {{#compare tranAuthenInfoData.mediumUnavailableFlag "!=" 1}}'+
	'  <div class="nad_button_div">'+
	'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:100%;height:43px;margin:0px;font-size:20px;">下一步</button>'+
	'  </div>'+
	'  {{/compare}}'+
	'  {{/compare}}'+
	'  {{#compare tranAuthenInfoData.defaultAuthenType "==" 992}}'+
	'  <div class="nad_button_div">'+
	'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:100%;height:43px;margin:0px;font-size:20px;">确定</button>'+
	'  </div>'+
	'  {{/compare}}'+
	'  {{#compare tranAuthenInfoData.defaultAuthenType "==" 994}}'+
	'  <div class="nad_button_div">'+
	'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:100%;height:43px;margin:0px;font-size:20px;">确定</button>'+
	'  </div>'+
	'  {{/compare}}'+
	'  {{#compare tranAuthenInfoData.defaultAuthenType "==" 99}}'+
	'  <div class="nad_button_div">'+
	'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:100%;height:43px;margin:0px;font-size:20px;">确定</button>'+
	'  </div>'+
	'  {{/compare}}'+
	'{{/compare}}'+
	'{{#compare tranAuthenInfoData.authenFlag "==" 0}}'+
	'  <div class="nad_button_div">'+
	'    <button type="button" class="blue_btn" id="myModalOkBtn" style="width:100%;height:43px;margin:0px;font-size:20px;">确定</button>'+
	'  </div>'+
	'{{/compare}}'+
	'</div>'+
	'<div id="nad_keyboard_div" style="height:0px;"></div>'+
	'</div>'+
	'</div>‍'+
	'</article>';

//新验签台 公共部分（上）
window['common_template'].newauthen_dialog_head=
	'<article id="newAuthenDialog">'+
	'<style>'+
	'.modal{'+
	'	position: absolute;'+
	'}'+
	'</style>'+
	'<div class="modal modal_wrapper" id="myTranAuthenDialog" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
	'<div class="modal-dialog" style="vertical-align:bottom;line-height:0rem">'+
	'{{#compare height_noLimit "==" 1}}'+
	'	<div class="modal-content-new" style="max-height:800px">'+
	'{{else}}'+
	'	<div class="modal-content-new">'+
	'{{/compare}}'+
	'	<div class="modal-header-new">'+

	'	<h4 class="modal-title" id="myModalLabel" style="font-size:18px;color:#333333;">'+
	'	{{#compare tranAuthenInfoData.modalTitle "==" ""}}'+
	'		{{#compare tranAuthenInfoData.authenFlag "==" 1}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 2}}口令卡认证{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 3}}U盾认证{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 4}}密码器认证{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 99}}短信认证{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 992}}支付密码认证 {{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 993}}指纹/刷脸认证{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 994}}短信认证{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" 995}}卡密认证{{/compare}}'+
	'			{{#compare tranAuthenInfoData.defaultAuthenType "==" ""}}无可用认证方式{{/compare}}'+
	'		{{else}}'+
	'			确认信息'+
	'		{{/compare}}'+
	'	{{else}}'+
	'		{{tranAuthenInfoData.modalTitle}}'+
	'	{{/compare}}'+
	'	</h4>'+ 
	'	<div class="authen_tip" id="myModalCancelBtn" style="position:absolute;top:0px;"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/quxiaoXNAD.png" style="width:18px;height:18px;margin:14px;max-width:100%;display:inherit;" border="0"></div>'+
	'		{{#compare tranAuthenInfoData.supportMediumFlagNAD "==" 1}}'+
	'	<div class="authen_tip" id="choosemedium" style="position:absolute;right:13px;top:14px;color:#3399ff;"></div>'+
	'		{{/compare}}'+
	'</div>'+
	'<div class="modal-body"  name="publicModuleForAuthen" style="padding:0px;max-height:700px;overflow-y:auto;">'+
	'	{{#compare tranAuthenInfoData.authenFlag "==" 1}}'+
	'{{#compare tipsArray "==" undefined}}'+
	'		{{#compare tipsArrayHtm "!=" undefined}}'+
	'			{{#compare height_noLimit "==" 1}}'+
	'				<div id="modal-tips" class="modal-tips break_txt" style="max-height:500px">'+
	'					{{{tipsArrayHtm}}}'+
	'			{{else}}'+
	'				<div id="modal-tips" class="modal-tips break_txt">'+
	'					{{{tipsArrayHtm}}}'+
	'			{{/compare}}'+
	'	  	</div>'+
	'		{{else}}'+
	'		<div class="modal-tips break_txt"></div>'+
	'		{{/compare}}'+
	'		{{else}}'+
	'	{{#compare height_noLimit "==" 1}}'+
	'		<div id="modal-tips" class="modal-tips break_txt" style="max-height:500px">'+
	'			{{#each tipsArray}}'+
	'   			<div class="row">'+
	'  					<div class="col-xs-4 gray_txt">{{key}}</div>'+
	'  					<div class="col-xs-8 {{#compare strong "==" true}}pink_txt large_txt{{/compare}}">{{value}}</div>'+
	'  				</div>'+
	'			{{/each}}'+
	'  		</div>'+
	'		{{else}}'+
	'			<div id="modal-tips" class="modal-tips break_txt">'+
	'				{{#each tipsArray}}'+
	'   				<div class="row">'+
	'  						<div class="col-xs-4 gray_txt">{{key}}</div>'+
	'  						<div class="col-xs-8 {{#compare strong "==" true}}pink_txt large_txt{{/compare}}">{{value}}</div>'+
	'  					</div>'+
	'				{{/each}}'+
	'  			</div>'+
	'		{{/compare}}'+
	'		{{/compare}}'+
	'{{/compare}}'+	
	'</div>'+
	'</div>‍'+
	'</article>';
//新验签台 口令卡
window['common_template'].newauthen_dynaPass=
	'  		<div class="modal-body-bottom-new">'+
	'	  			<!-- 口令卡 -->'+
	'			{{#compare tranAuthenInfoData.mediumUnavailableFlag "==" 1}}'+
	'				<div class="medium_unavailable_div">{{tranAuthenInfoData.mediumUnavailableMsg}}</div>'+
	'				{{else}}'+
	'	  			<div style="padding-bottom:29px;">'+
	'					<div>'+
	'						<div id="axisCard" align="left" style="color:#666666;padding:12px 0px;">'+
	'							请将口令卡坐标{{{tranAuthenInfoData.dynaPass}}}对应涂层刮开，按顺序输入6位数字密码。'+
	'						</div>'+
	'						<div class="border_input">'+
	'	      					<div class="border_input_layout" id="border_input_layout">'+
	'		      					<div></div><div></div><div></div><div></div><div></div><div></div>'+
	'	      					</div>'+
	'		      				<span class="border_input_layout_inner">'+
	'		      					<input pattern="[0-9]*" class="border_input_core" placeholder=" " data-type="numberKeyBoard" data-name="_encrypt_dynaPasswdRes" name="tmp__encrypt_dynaPasswdRes" type="password" maxlength="6"/>'+
	'		      				</span>'+
	'	      				</div>'+
	'	      			</div>'+
	'					{{#compare tranAuthenInfoData.displayMsgFlag "==" 1}}'+
	'					<div>提示:{{tranAuthenInfoData.displayMsg}}</div>'+
	'					{{/compare}}'+
	'					<div id="errorTips"></div>'+
	'	  			</div>'+
	'	  		{{/compare}}'+
	'		</div>'+
	'	</div>';

//新验签台 U盾
window['common_template'].newauthen_ukey=
	'  		<div class="modal-body-bottom-new">'+
	'			  	<!-- U盾验签提示 -->'+
	'				{{#compare tranAuthenInfoData.mediumUnavailableFlag "==" 1}}'+
	'					<div class="medium_unavailable_div">{{tranAuthenInfoData.mediumUnavailableMsg}}</div>'+
	'				{{else}}'+
	'				{{#compare tranAuthenInfoData.smsFlag "==" 1}}'+	
	'				<div style="padding-bottom:9px;">'+
	'				{{#compare tranAuthenInfoData.blueToothFlag "==" 1}}'+	
	'					<div align="center" style="padding-top:4px;font-size:18px;color:#666666;">请长按C键打开蓝牙U盾</div>'+
	'			  		<div align="center"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/blueToothUkey.png" style="max-width:54px;padding-top:5px;padding-bottom:0px;"></img></div>'+
	'				{{else}}'+
	'			  		<div align="center" style="padding-top:4px;font-size:18px;color:#666666;">请将U盾插入手机音频插口</div>'+
	'			  		<div align="center"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/ukey.png" style="max-width:54px;padding-top:5px;padding-bottom:0px;"></img></div>'+
	'	  			{{/compare}}'+
	'				{{else}}'+
	'				{{#compare tranAuthenInfoData.blueToothFlag "==" 1}}'+	
	'					<div style="padding-bottom:19px;">'+
	'			  		<div align="center" style="padding-top:15px;font-size:18px;color:#666666;">请长按C键打开蓝牙U盾</div>'+
	'			  			<div align="center"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/blueToothUkey.png" style="max-width:130px;padding-top:18px;padding-bottom:0px;"></img></div>'+
	'				{{else}}'+
	'					<div style="padding-bottom:19px;">'+
	'			  		<div align="center" style="padding-top:15px;font-size:18px;color:#666666;">请将U盾插入手机音频插口</div>'+
	'			  			<div align="center"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/ukey.png" style="max-width:130px;padding-top:18px;padding-bottom:0px;"></img></div>'+
	'	  			{{/compare}}'+

	'	  			{{/compare}}'+
	'				</div>'+
	'	  		{{/compare}}'+
	'		</div>'+
	'	</div>'+
	'			{{#compare tranAuthenInfoData.smsFlag "==" 1}}'+	
	'				<!--短信-->'+
	'				<div class="sms_input_div" id="sms_input_div_sub">'+
	'	  				<input pattern="[0-9]*" class="sms_input" placeholder="请输入验证码" name="tmp_{{tranAuthenInfoData.inputNameSms}}" data-type="numberKeyBoard" data-name="{{tranAuthenInfoData.inputNameSms}}" type="text" maxlength="6" data-smscode="{{tranAuthenInfoData.umsMsgNo}}"/>'+
	'	  				<div class="sms_div"><nobr><div id="intervalTime"></div><button id="resendButton" class="no_border_btn" disabled="disabled">重新获取</button></nobr></div>'+
	'	  			</div>'+
	'				<div class="sms_tip_div" id="sms_tip_div_sub" style="padding-top: 5px;">'+
	'					请输入{{tranAuthenInfoData.umsMobileString}}接收到的验证码（编号<span id="sendNo">{{tranAuthenInfoData.umsMsgNo}}</span>）'+
	'				</div>'+
	'				<div id="errorTips_sub"></div>'+
	'	  		{{/compare}}'+
	'		</div>'+
	'  {{#compare tranAuthenInfoData.mediumUnavailableFlag "!=" 1}}'+
	'  <div class="nad_button_div">'+
	'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:100%;height:43px;margin:0px;font-size:20px;">下一步</button>'+
	'  </div>'+
	'  {{/compare}}';


//新验签台 密码器	
window['common_template'].newauthen_token=
	'  		<div class="modal-body-bottom-new">'+
	'				<!-- 密码器-->'+
	'				{{#compare tranAuthenInfoData.mediumUnavailableFlag "==" 1}}'+
	'				<div class="medium_unavailable_div">{{tranAuthenInfoData.mediumUnavailableMsg}}</div>'+
	'				{{else}}'+
	'				<div style="padding-bottom:9px;">'+
	'					<div margin:0 auto;text-indent:2rem;line-height:16px;font-size:0.85rem;>'+
	'					{{#compare tranAuthenInfoData.smsFlag "==" 1}}'+	
	'						{{#compare tranAuthenInfoData.challengeType "==" 1}}'+
	'						<div id="mimaqi" style="line-height:17px;color:#666666;font-size:13px;">{{{tranAuthenInfoData.challengeText}}}</div>'+
	'						{{else}}'+
	'						<div style="text-align:center;"><img src="{{tranAuthenInfoData.tokenImgUrl}}"/></div>'+
	'						<div id="mimaqi" style="line-height:17px;color:#666666;font-size:13px;">{{{tranAuthenInfoData.tradeChallengeText2}}}</div>'+
	'						{{/compare}}'+
	'					{{else}}'+
	'						{{#compare tranAuthenInfoData.challengeType "==" 1}}'+
	'						<div id="mimaqi" style="padding:12px 0px;line-height:17px;color:#666666;font-size:13px;">{{{tranAuthenInfoData.challengeText}}}</div>'+
	'						{{else}}'+
	'						<div style="text-align:center;"><img src="{{tranAuthenInfoData.tokenImgUrl}}"/></div>'+
	'						<div id="mimaqi" style="padding:12px 0px;line-height:17px;color:#666666;font-size:13px;">{{{tranAuthenInfoData.tradeChallengeText2}}}</div>'+
	'						{{/compare}}'+
	'					{{/compare}}'+
	'					</div>'+
	'					<div class="border_input">'+
	'						<div class="border_input_layout" id="border_input_layout">'+
	'	  						<div></div><div></div><div></div><div></div><div></div><div></div>'+
	'						</div>'+
	'	  					<span class="border_input_layout_inner">'+
	'	  						<input pattern="[0-9]*" class="border_input_core" data-type="numberKeyBoard" data-name="_encrypt_tokenInputNAD" name="tmp__encrypt_tokenInputNAD" type="password" placeholder=" " maxlength="6"/>'+
	'	  					</span>'+
	'					</div>'+
	'					<div id="errorTips"></div>'+
	'	  			</div>'+
	'	  		{{/compare}}'+
	'		</div>'+
	'	</div>'+
	'			{{#compare tranAuthenInfoData.smsFlag "==" 1}}'+	
	'				<!--短信-->'+
	'				<div class="sms_input_div" id="sms_input_div_sub">'+
	'	  				<input pattern="[0-9]*" class="sms_input" placeholder="请输入验证码" name="tmp_{{tranAuthenInfoData.inputNameSms}}" data-type="numberKeyBoard" data-name="{{tranAuthenInfoData.inputNameSms}}" type="text" maxlength="6" data-smscode="{{tranAuthenInfoData.umsMsgNo}}"/>'+
	'	  				<div class="sms_div"><nobr><div id="intervalTime"></div><button id="resendButton" class="no_border_btn" disabled="disabled">重新获取</button></nobr></div>'+
	'	  			</div>'+
	'				<div class="sms_tip_div" id="sms_tip_div_sub">'+
	'					请输入{{tranAuthenInfoData.umsMobileString}}接收到的验证码（编号<span id="sendNo">{{tranAuthenInfoData.umsMsgNo}}</span>）'+
	'				</div>'+
	'				<div id="errorTips_sub"></div>'+
	'  				<div class="nad_button_div">'+
	'    				<button type="button" class="blue_btn" id="myModalOkBtn" style="width:100%;height:43px;margin:0px;font-size:20px;">确定</button>'+
	'  				</div>'+
	'	  		{{/compare}}'+
	'		</div>';
	

//新验签台 e支付+注册	
window['common_template'].newauthen_epayRegister=	
	'  		<div class="modal-body-bottom-new">'+
	'		{{#compare tranAuthenInfoData.authenSms "==" 0}}'+	
	'				<div class="medium_unavailable_div">{{tranAuthenInfoData.mediumUnavailableMsg}}</div>'+
	'		{{else}}'+
	'				<!--e支付+注册-->'+
	'				<div style="padding-bottom:8px;">'+
	'				<div class="sms_input_div">'+
	'	  				<input pattern="[0-9]*" class="sms_input" placeholder="请输入验证码" name="tmp_{{tranAuthenInfoData.inputName}}" data-type="numberKeyBoard" data-name="{{tranAuthenInfoData.inputName}}" type="text" maxlength="6" data-smscode="{{tranAuthenInfoData.ePayPassNoString}}"/>'+
	'	  				<div class="sms_div"><nobr><div id="intervalTime" style="display:inline-block;vertical-align:middle;"></div><button id="resendButton" class="no_border_btn" disabled="disabled">重新获取</button></nobr></div>'+
	'	  			</div>'+
	'				<div class="sms_tip_div">'+
	'					请输入{{tranAuthenInfoData.ePayMobileString}}接收到的验证码（编号<span id="epayNo">{{tranAuthenInfoData.ePayPassNoString}}</span>）'+
	'				</div>'+
	'				<div id="errorTips"></div>'+
	'				{{#compare tranAuthenInfoData.IsVerifyCardPass "==" 1}}'+
	'				<div class="sms_tip_div">'+
	'					请输入卡（{{tranAuthenInfoData.ePayCardString}}）的取款密码'+
	'				</div>'+
	'				<div class="border_input">'+
	'					<div class="border_input_layout" id="border_input_layout">'+
	'	  					<div></div><div></div><div></div><div></div><div></div><div></div>'+
	'					</div>'+
	'	  				<span class="border_input_layout_inner">'+
	'	  					<input pattern="[0-9]*" name="tmp_cardEnPasswordNAD" class="border_input_core" placeholder=" " value="" data-type="numberKeyBoard" data-name="cardEnPasswordNAD" data-encrypt="0" maxlength="6"  type="password"/>'+
	'	  				</span>'+
	'				</div>'+
	'				<div id="errorTipsOpen"></div>'+
	'				</div>'+
	'				{{/compare}}'+	
	'  			<div class="nad_button_div">'+
	'    			<button type="button" class="blue_btn" id="myModalOkBtn" style="width:100%;height:43px;margin:0px;font-size:20px;">确定</button>'+
	'  			</div>'+
	'		{{/compare}}';


//新验签台 e支付	
window['common_template'].newauthen_epay=
	'  		<div class="modal-body-bottom-new">'+
	'				<!--e支付-->'+
	'		{{#compare tranAuthenInfoData.authenSms "==" 0}}'+	
	'				<div class="medium_unavailable_div">{{tranAuthenInfoData.mediumUnavailableMsg}}</div>'+
	'		{{else}}'+
	'				<div>'+
	'				<div class="sms_input_div">'+
	'	  				<input pattern="[0-9]*" class="sms_input" placeholder="请输入验证码" name="tmp_{{tranAuthenInfoData.inputName}}" data-type="numberKeyBoard" data-name="{{tranAuthenInfoData.inputName}}" type="text" maxlength="6" data-smscode="{{tranAuthenInfoData.ePayPassNoString}}"/>'+
	'	  				<div class="sms_div"><nobr><div id="intervalTime" style=""></div><button id="resendButton" class="no_border_btn" disabled="disabled">重新获取</button></nobr></div>'+
	'	  			</div>'+
	'				<div class="sms_tip_div">'+
	'					请输入{{tranAuthenInfoData.ePayMobileString}}接收到的验证码（编号<span id="epayNo">{{tranAuthenInfoData.ePayPassNoString}}</span>）'+
	'				</div>'+
	'				<div id="errorTips"></div>'+
	'				</div>'+
	'		</div>'+
	'  <div class="nad_button_div">'+
	'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:100%;height:43px;margin:0px;font-size:20px;">确定</button>'+
	'  </div>'+
	'		{{/compare}}';

//新验签台 指纹	
window['common_template'].newauthen_finger=
	'  		<div class="modal-body-bottom-new">'+
	'				<!--指纹-->'+
	'				<div>'+
	'					<div style="color:#333;font-size:14px;padding-top:8px;text-align:center;">'+
	'						请确认以上信息，点击“确定”按钮后验证指纹/刷脸'+
	'					</div>'+
	'					<div style="padding-top:44px;padding-bottom:25px;" align="center"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/finger.png" style="width:72px;height:72px;" border="0"></div>'+
	'					<div style="display:none;padding-bottom:34px;font-size:13px;color:#333;text-align:center;">请验证指纹/刷脸或<font color="#3399ff">输入支付密码</font></div>'+
	'	  			</div>'+
	'		</div>'+
	'{{#compare tranAuthenInfoData.noConfirmButton "!=" 1}}'+
	'  <div class="nad_button_div">'+
	'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:100%;height:43px;margin:0px;font-size:20px;">确定</button>'+
	'  </div>'+
	'  {{/compare}}';

//新验签台 平台短信	
window['common_template'].newauthen_platSms=
	'  		<div class="modal-body-bottom-new">'+
	'				<!--短信-->'+
	'		{{#compare tranAuthenInfoData.authenSms "==" 0}}'+	
	'				<div class="medium_unavailable_div">{{tranAuthenInfoData.mediumUnavailableMsg}}</div>'+
	'		{{else}}'+
	'				<div class="sms_input_div">'+
	'	  				<input pattern="[0-9]*" class="sms_input" placeholder="请输入验证码" name="tmp_{{tranAuthenInfoData.inputName}}" data-type="numberKeyBoard" data-name="{{tranAuthenInfoData.inputName}}" type="text" maxlength="6" data-smscode="{{tranAuthenInfoData.umsMsgNo}}"/>'+
	'	  				<div class="sms_div"><nobr><div id="intervalTime"></div><button id="resendButton" class="no_border_btn" disabled="disabled">重新获取</button></nobr></div>'+
	'	  			</div>'+
	'				<div class="sms_tip_div">'+
	'					请输入{{tranAuthenInfoData.umsMobileString}}接收到的验证码（编号<span id="sendNo">{{tranAuthenInfoData.umsMsgNo}}</span>）'+
	'				</div>'+
	'				<div id="errorTips"></div>'+
	'		</div>'+
	'  		<div class="nad_button_div">'+
	'    		<button type="button" class="blue_btn" id="myModalOkBtn" style="width:100%;height:43px;margin:0px;font-size:20px;">确定</button>'+
	' 		 </div>'+
	'		{{/compare}}';
//新验签台 验证卡密码	
window['common_template'].newauthen_cardPass=	
	'  		<div class="modal-body-bottom-new">'+
	'				<div class="sms_tip_div">'+
	'					请输入卡（{{tranAuthenInfoData.ePayCardString}}）的取款密码'+
	'				</div>'+
	'				<div class="border_input">'+
	'					<div class="border_input_layout" id="border_input_layout">'+
	'	  					<div></div><div></div><div></div><div></div><div></div><div></div>'+
	'					</div>'+
	'	  				<span class="border_input_layout_inner">'+
	'	  					<input pattern="[0-9]*" name="tmp_cardEnPasswordNAD" class="border_input_core" placeholder=" " value="" data-type="numberKeyBoard" data-name="cardEnPasswordNAD" data-encrypt="0" maxlength="6"  type="password"/>'+
	'	  				</span>'+
	'				</div>'+
	'				<div id="errorTipsOpen"></div>'+
	'				</div>'+
	'  			<div class="nad_button_div">'+
	'    			<button type="button" class="blue_btn" id="myModalOkBtn" style="width:100%;height:43px;margin:5px 0px -5px 0px;font-size:20px;">确定</button>'+
	'  			</div>'+
	'  		</div>';
//新验签台 尾端	
window['common_template'].newauthen_footer=
	'<div id="nad_keyboard_div" style="height:0px;"></div>';

//新验签台免签流程
window['common_template'].newauthen_dialog_noAuthen=
	'<div style="padding-top:10px;padding-bottom:10px;color:#333333;font-size:15px;text-align: center;">请确认以下信息，点击“确定”按钮以完成操作</div>'+
	'		{{#compare tipsArray "==" undefined}}'+
	'		<div id="modal-tips" class="modal-tips-noauthen break_txt" style="height:115px;overflow-x:hidden;overflow-y:auto;border-radius:2px;background-color:#f6f6f6;margin:0px 18px;">'+
	'			{{{tipsArrayHtm}}}'+
	'	  	</div>'+
	'		{{else}}'+
	'		<div id="modal-tips" class="modal-tips-noauthen break_txt" style="height:115px;overflow-x:hidden;overflow-y:hidden;border-radius:2px;background-color:#f6f6f6;margin:0px 18px;">'+
	'			{{#each tipsArray}}'+
	'   			<div class="row">'+
	'  					<div class="touchscroll col-xs-4 gray_txt">{{key}}</div>'+
	'  					<div class="touchscroll col-xs-8 {{#compare strong "==" true}}pink_txt large_txt{{/compare}}">{{value}}</div>'+
	'  				</div>'+
	'			{{/each}}'+
	'  		</div>'+
	'		{{/compare}}'+
	'		<div style="height:80px;">'+
	'			{{#compare tranAuthenInfoData.noAuthenMsgFlag "==" 1}}'+
	'			<!-- 免签提示 -->'+
	'			<div class="modal-body-bottom-new" style="padding: 19px 18px;">{{tranAuthenInfoData.noAuthenMsg}}</div>'+
	'			{{/compare}}'+
	'		</div>'+
	'  <div class="nad_button_div">'+
	'    <button type="button" class="blue_btn" id="myModalOkBtn" style="width:100%;height:43px;margin:0px;font-size:20px;">确定</button>'+
	'  </div>';
	
//弹出新版切换认证介质页面
window['common_template'].newchooseM_dialog=
'<article id="showNewChooseMDialog">'+
'<style>'+
'.cell_container .cell_li_btn_new {'+
'	padding: 8px 16px 8px 16px;'+
'	height: 55px;'+
'}'+
'.modal{'+
'	position: absolute;'+
'}'+
'input[type=radio]{'+
'	width:14px;'+
'   height:14px;'+
'   border: 1px solid #989899;'+
'}'+
'.nad_radio_checked{'+
'	background: url("/ICBCWAPBank/ebdpui/icbc_client/css/images/radio_checked_new.png") center no-repeat;'+
'	background-size: contain;'+
'   border: 1px solid #DA4453 !important;'+
'}'+
'</style>'+
'<div class="modal modal_wrapper" id="myChooseMDialog" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
'<div class="modal-dialog" style="vertical-align:bottom;">'+
'<div class="modal-content-new" style="height:66.26%;max-height:442px;">'+
'<div class="modal-header-new">'+
'	<h4 class="modal-title" id="myModalLabel" style="font-size:18px;color:#333333;">'+
'		选择认证方式'+
'	</h4>'+ 
'	<div class="authen_tip" id="myModalReturnBtn" style="position:absolute;top:0px;"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/returnNAD.png" style="width:12px;height:19px;margin:13px 14px;max-width:100%;display:inherit;" border="0"></div>'+
'</div>'+
'<ul class="cell_container_new">'+
'{{#compare tranAuthenInfoData.chooseFinger "==" 1}}'+
'<li class="cell_li_btn_new" id="TouchIdChoose">'+
'<div class=cell_li_flex_new><input type="radio" name="authenType" value="993" {{#compare tranAuthenInfoData.defaultAuthenType "==" 993}}class="nad_radio_checked"{{/compare}}/><span class="word_new" >指纹/刷脸</span></div>'+
'</li>{{/compare}}'+
'{{#compare tranAuthenInfoData.chooseOne "==" 1}}'+
'<li class="cell_li_btn_new" id="OneEpayChoose">'+
'<div class=cell_li_flex_new><input type="radio" name="authenType" value="991" {{#compare tranAuthenInfoData.defaultAuthenType "==" 991}}class="nad_radio_checked"{{/compare}}/><span class="word_new" >支付密码</span></div>'+
'</li>{{/compare}}'+
'{{#compare tranAuthenInfoData.chooseEpay "==" 1}}'+
'<li class="cell_li_btn_new" id="EpayChoose">'+
'<div class=cell_li_flex_new><input type="radio" name="authenType" value="99" {{#compare tranAuthenInfoData.defaultAuthenType "==" 99}}class="nad_radio_checked"{{/compare}}/><span class="word_new" >短信</span></div>'+
'</li>{{/compare}}'+
'{{#compare tranAuthenInfoData.chooseEpayReg "==" 1}}'+
'<li class="cell_li_btn_new" id="EpayOpenChoose">'+
'<div class=cell_li_flex_new><input type="radio" name="authenType" value="992" {{#compare tranAuthenInfoData.defaultAuthenType "==" 992}}class="nad_radio_checked"{{/compare}}/><span class="word_new" >{{#compare tranAuthenInfoData.bdFlag "!=" 1}}支付密码{{else}}短信{{/compare}}</span></div>'+
'</li>{{/compare}}'+
'{{#compare tranAuthenInfoData.chooseUms "==" 1}}'+
'<li class="cell_li_btn_new" id="UmsChoose">'+
'<div class=cell_li_flex_new><input type="radio" name="authenType" value="994" {{#compare tranAuthenInfoData.defaultAuthenType "==" 994}}class="nad_radio_checked"{{/compare}}/><span class="word_new" >短信</span></div>'+
'</li>{{/compare}}'+
'{{#compare tranAuthenInfoData.choosetoken "==" 1}}'+
'<li class="cell_li_btn_new" id="TokenChoose">'+
'<div class=cell_li_flex_new><input type="radio" name="authenType" value="4" {{#compare tranAuthenInfoData.defaultAuthenType "==" 4}}class="nad_radio_checked"{{/compare}}/><span class="word_new" >密码器</span></div>'+
'</li>{{/compare}}'+
'{{#compare tranAuthenInfoData.chooseUshield "==" 1}}'+
'<li class="cell_li_btn_new" id="UshieldChoose">'+
'<div class=cell_li_flex_new><input type="radio" name="authenType" value="3" {{#compare tranAuthenInfoData.defaultAuthenType "==" 3}}class="nad_radio_checked"{{/compare}}/><span class="word_new" >U盾</span></div>'+
'</li>{{/compare}}'+
'{{#compare tranAuthenInfoData.chooseDyna "==" 1}}'+
'<li class="cell_li_btn_new" id="dynapassChoose">'+
'<div class=cell_li_flex_new><input type="radio" name="authenType" value="2" {{#compare tranAuthenInfoData.defaultAuthenType "==" 2}}class="nad_radio_checked"{{/compare}}/><span class="word_new" >口令卡</span></div>'+
'</li>{{/compare}}'+
'</ul>'+
'</div>'+
'</div>'+
'</div>‍'+
'</article>';

//只有短信认证交易，二类账户资金转入资金转出专用
window['common_template'].smsauthen_dialog=
'<article id="tranAuthenDialog">'+
'<style>'+
'.border_input{'+
'	margin-top:5px;'+
'	position:relative;'+
'}'+
'.border_input_layout{'+
'	width:224px;height:36px;border:1px #95ADB7 solid;margin:0 auto;'+
'}'+
'.border_input_layout_inner{'+
'	position:absolute;bottom:0;top:0;right:0;left:0;margin:0 auto;'+
'	width:224px;'+
'}'+
'.border_input_layout div{'+
'	height:35px;border-right:1px #95ADB7 solid;float:left;width:16.6%;font-size:1.6rem;line-height:2.25rem;text-align:center;'+
'}'+
'.border_input_layout div:last-child{'+
'	border-right:0px;'+
'}'+
'.border_input_core{'+
'	width:100%;height:35px !important;font-size:0.1px !important;color:transparent !important;'+
'}'+
'.authen_tip{'+
'	margin:0 auto;text-indent:2rem;line-height:16px;font-size:0.85rem;'+
'}'+
'.authen_tip img{'+
'	margin:5px auto;max-width:100%;display:inherit;'+
'}'+
'.modal{'+
'	position: absolute;'+
'}'+
'#errorTips{'+
'	color:#FF7B7B;text-align:center;margin:8px 0;'+
'}'+
'</style>'+
'<div class="modal fade modal_wrapper" id="myTranAuthenDialog" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
'<div class="modal-dialog" style="vertical-align:top;padding-top:20px">'+
'<div class="modal-content">'+
'  <div class="modal-header" style="border-bottom:1px solid #e5e5e5;padding:5px;">'+
'    <h4 class="modal-title" id="myModalLabel" style="font-size:1.1rem">'+
'	{{#compare tranAuthenInfoData.modalTitle "==" ""}}'+
'				请输入短信验证码'+
'	{{else}}'+
'{{tranAuthenInfoData.modalTitle}}'+
'	{{/compare}}'+
'	</h4>'+ 
'				<div class="authen_tip" id="myModalCancelBtn" style="position:absolute;top:-6px;color:#0050c7;"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/quxiaoX.png" border="0"></div>'+
'  				<div class="authen_tip" id="choosemedium" style="position:absolute;right:10px;top:10px;color:#0050c7;"></div>'+
'  </div>'+
'  <div class="modal-body" id="myModalMsg" style="padding:0px">'+
'		{{#compare tipsArray "==" undefined}}'+
'  	<div id="modal-tips" class="modal-body-top break_txt" style="max-height:320px;overflow-x:hidden;overflow-y:auto;padding-top:10px;padding-bottom:10px;">'+
'  				{{{tipsArrayHtm}}}'+
'    	{{else}}'+
'  	<div id="modal-tips" class="modal-body-top break_txt" style="max-height:320px;overflow-x:hidden;overflow-y:scroll">'+
'				{{#each tipsArray}}'+
'   			<div class="row">'+
'  					<div class="touchscroll col-xs-4 gray_txt">{{key}}</div>'+
'  					<div class="touchscroll col-xs-8 {{#compare strong "==" true}}pink_txt large_txt{{/compare}}">{{value}}</div>'+
'  				</div>'+
'				{{/each}}'+
'	  	{{/compare}}'+
'  	</div>'+
'  	<div class="modal-body-bottom">'+
'	  		<!-- e支付 -->'+
'					<div>'+
'						<div class="authen_tip" id="epay_authen_tip">'+
'							请输入{{tranAuthenInfoData.ePayMobileString}}接收到的验证码（编号'+'<span id="smssmsno">{{tranAuthenInfoData.ePayPassNoString}}</span>），<div id="intervalTime" style="display:inline"></div><button id="resendButton" class="gray_small_btn" disabled="disabled">重新发送</button>'+
'						</div>'+
'						<div class="border_input">'+
'							<div class="border_input_layout" id="border_input_layout">'+
'	  							<div></div><div></div><div></div><div></div><div></div><div></div>'+
'							</div>'+
'	  						<span class="border_input_layout_inner">'+
'	  							<input pattern="[0-9]*" class="border_input_core" placeholder=" " name="{{tranAuthenInfoData.inputName}}" type="text" maxlength="6" data-smscode="{{tranAuthenInfoData.ePayPassNoString}}"/>'+
'	  						</span>	      					'+
'						</div>'+
'						<div id="errorTips"></div>'+
'	  				</div>'+
'  	</div>'+
'  </div>'+
'  {{#compare tranAuthenInfoData.noConfirmButton "!=" 1}}'+
'  <div style="margin-top:5px;margin-bottom:8px;" align="center">'+
'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:200px;min-height:30px;">确定</button>'+
'  </div>'+
'  {{/compare}}'+
'</div>'+
'</div>'+
'</div>'+
'</article>';




Handlebars.registerHelper('anyone', function (left,operator,right,options) {	
    if (arguments.length < 3) {
        throw new Error('Handlerbars Helper "compare" needs 3 parameters');
    }
    var result;
    var array = right.split("|");
    if(array.length>0){
    	var len = array.indexOf(left)
    	if(len!=-1)
    	{
    		result=array[len];
    	}
    }
    console.log('result-->'+result);
    console.log('--'+(result==left));
    
    if (result==left) {
        return options.fn(this);
    } else {
        return options.inverse(this);
    }
});

//三类账户弹出密码控件
window['common_template'].tranauthen_dialog_staticpwd=
	'<article id="tranAuthenDialog">'+
	'<style>'+
	'.border_input{'+
	'	margin-top:5px;'+
	'	position:relative;'+
	'}'+
	'.border_input_layout{'+
	'	width:224px;height:36px;border:1px #95ADB7 solid;margin:0 auto;'+
	'}'+
	'.border_input_layout_inner{'+
	'	position:absolute;bottom:0;top:0;right:0;left:0;margin:0 auto;'+
	'	width:224px;'+
	'}'+
	'.border_input_layout div{'+
	'	height:35px;border-right:1px #95ADB7 solid;float:left;width:16.6%;font-size:1.6rem;line-height:2.25rem;text-align:center;'+
	'}'+
	'.border_input_layout div:last-child{'+
	'	border-right:0px;'+
	'}'+
	'.border_input_core{'+
	'	width:100%;height:35px !important;font-size:0.1px !important;color:transparent !important;'+
	'}'+
	'.authen_tip{'+
	'	margin:0 auto;text-indent:2rem;line-height:16px;font-size:0.85rem;'+
	'}'+
	'.authen_tip img{'+
	'	margin:5px auto;max-width:100%;display:inherit;'+
	'}'+
	'.modal{'+
	'	position: absolute;'+
	'}'+
	'#errorTips{'+
	'	color:#FF7B7B;text-align:center;margin:8px 0;'+
	'}'+
	'#errorTipsOpen{'+
	'	color:#FF7B7B;text-align:center;margin:8px 0;'+
	'}'+
	'</style>'+
	'<div class="modal fade modal_wrapper" id="myTranAuthenDialog" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
	'<div class="modal-dialog" style="vertical-align:top;padding-top:20px">'+
	'<div class="modal-content">'+
	'  <div class="modal-header" style="border-bottom:1px solid #e5e5e5;padding:5px;">'+
	'    <h4 class="modal-title" id="myModalLabel" style="font-size:1.1rem">'+
	'{{pagetitle}}'+
	'	</h4>'+ 
	'				<div class="authen_tip" id="myModalCancelBtn" style="position:absolute;top:-6px;color:#0050c7;"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/quxiaoX.png" border="0"></div>'+
	'  				<div class="authen_tip" id="choosemedium" style="position:absolute;right:10px;top:10px;color:#0050c7;"></div>'+
	'  </div>'+
	'  <div class="modal-body" id="myModalMsg" style="padding:0px">'+
	'  	<div id="modal-tips" class="modal-body-top break_txt" style="max-height:320px;overflow-x:hidden;overflow-y:auto;padding-top:10px;padding-bottom:10px;">'+
	'  				{{{tipsArrayHtm}}}'+
	'  	</div>'+
	'  	<div class="modal-body-bottom">'+
	
	'  {{#anyone tranAuthenInfoData.joinString "in" "110|111|011|001"}}'+'<!-- 需要e支付短信认证的情况-->'+
	
	'<!--============================================== e支付短信认证========================================================-->'+
	'<div class="authen_tip" id="epay_authen_tip">'+
	'  {{#anyone tranAuthenInfoData.joinString "in" "011|001"}}'+'<!-- 需要显示序号的情况-->'+	
	'	1.'+
	'	{{/anyone}}'+	
	'						请输入{{tranAuthenInfoData.ePayMobileString}}接收到的验证码（编号<div id="ePayPassNoString" style="display:inline"></div>），<div id="intervalTime" style="display:inline"></div><button id="resendButton" class="gray_small_btn" disabled="disabled">重新发送</button>'+
	'					</div>'+
	'					<div class="border_input">'+
	'							<div class="border_input_layout" id="border_input_layout">'+
	'	  							<div></div><div></div><div></div><div></div><div></div><div></div>'+
	'							</div>'+
	'	  						<span class="border_input_layout_inner">'+
	'	  							<input pattern="[0-9]*" autocomplete="off" class="border_input_core" placeholder=" " value="" id="ePayPassInput" name="ePayPassInput" type="text" maxlength="6" data-smscode="{{tranAuthenInfoData.ePayPassNoString}}"/>'+
	'	  						</span>	      					'+
	'					</div>'+
	'					<div id="errorTips"></div>'+
	'	{{/anyone}}'+
	'  {{#anyone tranAuthenInfoData.joinString "in" "010|011|000|001"}}'+'<!-- 需要用到一类卡密码的情况-->'+
	'<!--================================================= 一类卡密码 ==========================================================-->'+	
	'								<div class="authen_tip">'+
	'  {{#anyone tranAuthenInfoData.joinString "in" "011|001"}}'+'<!-- 需要显示序号的情况-->'+	
	'	2.'+
	'	{{/anyone}}'+	
	'								请输入绑定银行卡（尾号{{tranAuthenInfoData.ePayCardString}}）的取款密码'+
	'								</div>'+
	'								<div class="border_input">'+
	'								<div class="border_input_layout" id="border_input_layout_Open">'+
	'	  								<div></div><div></div><div></div><div></div><div></div><div></div>'+
	'								</div>'+
	'	  							<span class="border_input_layout_inner">'+
	'	  								<input pattern="[0-9]*" id="cardEnPassword" name="tmp_cardEnPassword"  class="border_input_core" placeholder=" " value="" data-type="safeKeyBoard" data-showstyle="2" data-name="cardEnPassword"  maxlength="6"  type="password"/>'+
	'	  							</span>	      					'+
	'								</div>'+
	'								<div id="errorTipsOpen"></div>'+
	'	{{/anyone}}'+
	'  	</div>'+
	'  </div>'+
	'  <div style="margin-top:5px;margin-bottom:8px;" align="center">'+
	'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:200px;min-height:30px;">确定</button>'+
	'  </div>'+
	'</div>'+
	'</div>'+
	'</div>‍'+
	'</article>';

//资金转出转本行
window['common_template'].tranauthen_dialog_localBank=
	'<article id="tranAuthenDialog">'+
	'<style>'+
	'.border_input{'+
	'	margin-top:5px;'+
	'	position:relative;'+
	'}'+
	'.border_input_layout{'+
	'	width:224px;height:36px;border:1px #95ADB7 solid;margin:0 auto;'+
	'}'+
	'.border_input_layout_inner{'+
	'	position:absolute;bottom:0;top:0;right:0;left:0;margin:0 auto;'+
	'	width:224px;'+
	'}'+
	'.border_input_layout div{'+
	'	height:35px;border-right:1px #95ADB7 solid;float:left;width:16.6%;font-size:1.6rem;line-height:2.25rem;text-align:center;'+
	'}'+
	'.border_input_layout div:last-child{'+
	'	border-right:0px;'+
	'}'+
	'.border_input_core{'+
	'	width:100%;height:35px !important;font-size:0.1px !important;color:transparent !important;'+
	'}'+
	'.authen_tip{'+
	'	margin:0 auto;text-indent:2rem;line-height:16px;font-size:0.85rem;'+
	'}'+
	'.authen_tip img{'+
	'	margin:5px auto;max-width:100%;display:inherit;'+
	'}'+
	'.modal{'+
	'	position: absolute;'+
	'}'+
	'#errorTips{'+
	'	color:#FF7B7B;text-align:center;margin:8px 0;'+
	'}'+
	'</style>'+
	'<div class="modal fade modal_wrapper" id="myTranAuthenDialog" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
	'<div class="modal-dialog" style="vertical-align:top;padding-top:20px">'+
	'<div class="modal-content">'+
	'  <div class="modal-header" style="border-bottom:1px solid #e5e5e5;padding:5px;">'+
	'    <h4 class="modal-title" id="myModalLabel" style="font-size:1.1rem">'+
	'{{pagetitle}}'+
	'	</h4>'+ 
	'				<div class="authen_tip" id="myModalCancelBtn" style="position:absolute;top:-6px;color:#0050c7;"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/quxiaoX.png" border="0"></div>'+
	'  				<div class="authen_tip" id="choosemedium" style="position:absolute;right:10px;top:10px;color:#0050c7;"></div>'+
	'  </div>'+
	'  <div class="modal-body" id="myModalMsg" style="padding:0px">'+
	'  	<div id="modal-tips" class="modal-body-top break_txt" style="max-height:320px;overflow-x:hidden;overflow-y:auto;padding-top:10px;padding-bottom:10px;">'+
	'  				{{{tipsArrayHtm}}}'+
	'  	</div>'+
	'  	<div >'+
	'					<div id="errorTips"></div>'+
	'								<div class="authen_tip" style=text-align:center;font-size:2rem;>'+
									'￥<font color=red>'+
	'								{{tranAuthenInfoData.ePayCardString}}'+
									'</font>'+
	'								</div>'+
	'								<div class="border_input">'+


	'								</div>'+
	'								<div id="errorTipsOpen"></div>'+

	'  	</div>'+
	'  </div>'+
	'  <div style="margin-top:20px;margin-bottom:8px;" align="center">'+
	'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:200px;min-height:30px;">确定</button>'+
	'  </div>'+
	'</div>'+
	'</div>'+
	'</div>‍'+
	'</article>';

//郝硕测试代码，可以删除
//指纹支付，无切换认证介质。
window['common_template'].verifyTouchID_dialog=
	'<article id="tranAuthenDialog">'+
	'<style>'+
	'.border_input{'+
	'	margin-top:5px;'+
	'	position:relative;'+
	'}'+
	'.border_input_layout{'+
	'	width:224px;height:36px;border:1px #95ADB7 solid;margin:0 auto;'+
	'}'+
	'.border_input_layout_inner{'+
	'	position:absolute;bottom:0;top:0;right:0;left:0;margin:0 auto;'+
	'	width:224px;'+
	'}'+
	'.border_input_layout div{'+
	'	height:35px;border-right:1px #95ADB7 solid;float:left;width:16.6%;font-size:1.6rem;line-height:2.25rem;text-align:center;'+
	'}'+
	'.border_input_layout div:last-child{'+
	'	border-right:0px;'+
	'}'+
	'.border_input_core{'+
	'	width:100%;height:35px !important;font-size:0.1px !important;color:transparent !important;'+
	'}'+
	'.authen_tip{'+
	'	margin:0 auto;text-indent:2rem;line-height:16px;font-size:0.85rem;'+
	'}'+
	'.authen_tip img{'+
	'	margin:5px auto;max-width:100%;display:inherit;'+
	'}'+
	'.modal{'+
	'	position: absolute;'+
	'}'+
	'#errorTips{'+
	'	color:#FF7B7B;text-align:center;margin:8px 0;'+
	'}'+
	'</style>'+
	'<div class="modal fade modal_wrapper" id="myTranAuthenDialog" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
	'<div class="modal-dialog" style="vertical-align:top;padding-top:20px">'+
	'<div class="modal-content">'+
	'  <div class="modal-header" style="border-bottom:1px solid #e5e5e5;padding:5px;">'+
	'    <h4 class="modal-title" id="myModalLabel" style="font-size:1.1rem">'+
	'{{pagetitle}}'+
	'	</h4>'+ 
	'				<div class="authen_tip" id="myModalCancelBtn" style="position:absolute;top:-6px;color:#0050c7;"><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/quxiaoX.png" border="0"></div>'+
        '			{{#compare showCardInfoFlag "==" 1}}'+
	'  				<div class="authen_tip" id="choosemedium" style="position:absolute;right:10px;top:10px;color:#0050c7;"></div>'+
	'			{{/compare}}'+
	'  </div>'+
	'  <div class="modal-body" id="myModalMsg" style="padding:0px">'+
	'  	<div id="modal-tips" class="modal-body-top break_txt" style="max-height:320px;overflow-x:hidden;overflow-y:auto;padding-top:10px;padding-bottom:10px;">'+
	'  				{{{tipsArrayHtm}}}'+
	'  	</div>'+
	'  </div>'+
	
	//add by haoshuo
	
	'{{#compare showCardInfoFlag "==" 1}}'+
	'  <div style="margin-top:20px;margin-bottom:8px;" align="center">'+
	'					<li class="cell_li_btn" id="showFirstCard">'+
	'						<div class=cell_li_flex " id="showPayCardInfo"> 使用尾号为{{firstCardItemCardNum}}&nbsp;的{{firstCardItem.cardtype}}&nbsp;{{firstCardItem.cardalias}}支付,</div>'+
	'					</li>'+
	'  </div>'+	
	'{{/compare}}'+
	
	'  <div style="margin-top:20px;margin-bottom:8px;" align="center">'+
	'    	<button type="button" class="blue_btn" id="myModalOkBtn" style="width:200px;min-height:30px;">指纹支付</button>'+
	'  </div>'+
	'</div>'+
	'</div>'+
	'</div>‍'+
	'</article>';



//弹出切换认证介质页面
window['common_template'].chooseM_dialog=
'<article id="showChooseMDialog">'+
'<style>'+
'.border_input{'+
'	margin-top:5px;'+
'	position:relative;'+
'}'+
'.border_input_layout{'+
'	width:224px;height:36px;border:1px #95ADB7 solid;margin:0 auto;'+
'}'+
'.border_input_layout_inner{'+
'	position:absolute;bottom:0;top:0;right:0;left:0;margin:0 auto;'+
'	width:224px;'+
'}'+
'.border_input_layout div{'+
'	height:35px;border-right:1px #95ADB7 solid;float:left;width:16.6%;font-size:1.6rem;line-height:2.25rem;text-align:center;'+
'}'+
'.border_input_layout div:last-child{'+
'	border-right:0px;'+
'}'+
'.border_input_core{'+
'	width:100%;height:35px !important;font-size:0.1px !important;color:transparent !important;'+
'}'+
'.authen_tip{'+
'	margin:0 auto;text-indent:2rem;line-height:16px;font-size:0.85rem;'+
'}'+
'.authen_tip img{'+
'	margin:5px auto;max-width:100%;display:inherit;'+
'}'+
'.modal{'+
'	position: absolute;'+
'}'+
'#errorTips{'+
'	color:#FF7B7B;text-align:center;margin:8px 0;'+
'}'+
'</style>'+
'<div class="modal fade modal_wrapper" id="myChooseMDialog" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
'<div class="modal-dialog" style="vertical-align:top;padding-top:20px">'+
'<div class="modal-content">'+
'<nav>'+
'<button id="returnButton" class="nav_left_btn" type="button"></button>'+
'<h1 class="nav_title" id="nav_title">选择验签方式</h1>'+
'</nav>'+
'<ul class="cell_container">'+
'{{#compare tranAuthenInfoData.choosePay "==" 1}}'+
'<li class="cell_li_btn" id="PayChoose">'+
'<div class=cell_li_flex>静态密码</div>'+
'</li>{{/compare}}'+
'{{#compare tranAuthenInfoData.chooseDyna "==" 1}}'+
'<li class="cell_li_btn" id="dynapassChoose">'+
'<div class=cell_li_flex><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/koulingka.png" border="0">&nbsp;&nbsp;&nbsp;&nbsp;口令卡</div>'+
'</li>{{/compare}}'+
'{{#compare tranAuthenInfoData.chooseUshield "==" 1}}'+
'<li class="cell_li_btn" id="UshieldChoose">'+
'<div class=cell_li_flex><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/Ushield.png" border="0">&nbsp;&nbsp;&nbsp;&nbsp;U盾</div>'+
'</li>{{/compare}}'+
'{{#compare tranAuthenInfoData.choosetoken "==" 1}}'+
'<li class="cell_li_btn" id="TokenChoose">'+
'<div class=cell_li_flex><img src="/ICBCWAPBank/ebdpui/icbc_client/css/images/mimaqi.png" border="0">&nbsp;&nbsp;&nbsp;&nbsp;电子密码器</div>'+
'</li>{{/compare}}'+
'{{#compare tranAuthenInfoData.chooseEpay "==" 1}}'+
'<li class="cell_li_btn" id="EpayChoose">'+
'<div class=cell_li_flex>E支付</div>'+
'</li>{{/compare}}'+
'{{#compare tranAuthenInfoData.chooseEpay "==" 2}}'+
'<li class="cell_li_btn" id="OneEpayChoose">'+
'<div class=cell_li_flex>E支付	</div>'+
'</li>{{/compare}}'+
'{{#compare tranAuthenInfoData.chooseEpay "==" 3}}'+
'<li class="cell_li_btn" id="EpayOpenChoose">'+
'<div class=cell_li_flex>E支付</div>'+
'</li>{{/compare}}'+
'  </div>'+
'</div>'+
'</div>'+
'</div>‍'+
'</article>';






//弹出切换用户卡列表的界面
// by kfzx-haoshuo  2017-1-19 9:06:58
window['common_template'].chooseCard_dialog=
'<article id="showChooseMDialog">'+
'<style>'+
'.border_input{'+
'	margin-top:5px;'+
'	position:relative;'+
'}'+
'.border_input_layout{'+
'	width:224px;height:36px;border:1px #95ADB7 solid;margin:0 auto;'+
'}'+
'.border_input_layout_inner{'+
'	position:absolute;bottom:0;top:0;right:0;left:0;margin:0 auto;'+
'	width:224px;'+
'}'+
'.border_input_layout div{'+
'	height:35px;border-right:1px #95ADB7 solid;float:left;width:16.6%;font-size:1.6rem;line-height:2.25rem;text-align:center;'+
'}'+
'.border_input_layout div:last-child{'+
'	border-right:0px;'+
'}'+
'.border_input_core{'+
'	width:100%;height:35px !important;font-size:0.1px !important;color:transparent !important;'+
'}'+
'.authen_tip{'+
'	margin:0 auto;text-indent:2rem;line-height:16px;font-size:0.85rem;'+
'}'+
'.authen_tip img{'+
'	margin:5px auto;max-width:100%;display:inherit;'+
'}'+
'.modal{'+
'	position: absolute;'+
'}'+
'#errorTips{'+
'	color:#FF7B7B;text-align:center;margin:8px 0;'+
'}'+
'</style>'+
'<div class="modal fade modal_wrapper" id="myChooseMDialog" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">'+
'<div class="modal-dialog" style="vertical-align:top;padding-top:20px">'+
'<div class="modal-content">'+
'<nav>'+
'<button id="returnButton" class="nav_left_btn" type="button"></button>'+
'<h1 class="nav_title" id="nav_title">选择支付方式</h1>'+
'</nav>'+
'<ul id="cell_container" class="cell_container">'+
// for循环遍历card_list  传入的值是在icbc_client_core.js var html=Handlebars.compile(window['common_template'].chooseCard_dialog)(chooseinfodata);
// 最后的一个参数中  chooseinfodata
'				{{#each card_list}}'+
'				{{setIndex @index}}'+
'					<li class="cell_li_btn" id="selectItem{{index}}"   name="{{index}}"  style="text-align:center">'+
'						<div class=cell_li_flex   value="{{index}}">{{cardtype}}&nbsp;{{cardnum}}&nbsp;{{cardalias}}</div>'+
'					</li>'+
'				{{/each}}'+

'  </div>'+
'</div>'+
'</div>'+
'</div>‍'+
'</article>';

